2026-04-16 Mike Gabriel

        * Release 2.2.3 (HEAD -> main, tag: 2.2.3)

2026-03-02 Andi Chandler

        * Translated using Weblate (English (United Kingdom)) (c569fd4)

2026-02-10 Хмеляускас Александр (JasonWalt Bab@)

        * Translated using Weblate (Basque) (a905743)

2026-02-11 Satyaakam Goswami

        * Translated using Weblate (Hindi) (8e23d39)

2026-02-12 Mike Gabriel

        * Merge branch 'fix/lomiri-api-includedirs' into 'main' (bb8eadc)

2026-02-07 OPNA2608

        * Properly include lomiri-api includedirs (dab1854)

2026-01-25 BoneNI

        * Translated using Weblate (Lao) (7b45a4a)

2025-12-21 Vini Moraes

        * Translated using Weblate (Portuguese (Brazil)) (41bf961)

2025-12-19 Joana R

        * Translated using Weblate (Basque) (a084bca)

2025-12-23 Mike Gabriel

        * Release 2.2.2 (46ae3eb) (tag: 2.2.2)

2025-12-22 Guido Berhörster

        * Merge branch 'personal/peat-psuwit/qt6-fontSize' into 'main'
          (164ca79)

2025-12-20 Ratchanan Srirattanamet

        **/qml6: migrate from Label.fontSize to Label.textSize (401211d)

2025-12-17 Mike Gabriel

        * Merge branch 'fix/gsettings-qt-include' into 'main' (1e081c7)

2025-12-09 Cosima Neidahl

        * src/com/lomiri/content/service/registry.h: Fix gsettings-qt include
          (95bc7d3)

2025-12-08 Mike Gabriel

        * Release 2.2.1 (f902194) (tag: 2.2.1)

2025-12-06 Mike Gabriel

        * Merge branch 'fix/missing-gsettings-qt-includedir' into 'main'
          (34e3a22)

2025-12-04 OPNA2608

        * tests/acceptance-tests/CMakeLists.txt: Add GSETTINGS_INCLUDE_DIRS
          to test_registry_updater (16abc58)

2025-12-01 Mike Gabriel

        * Release 2.2.0 (08019a6) (tag: 2.2.0)

2025-11-17 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (2449a22)

2025-11-14 Mike Gabriel

        * Merge branch 'personal/gberh/luitk-qt6' into 'main' (e02a6ea)

2025-07-28 Guido Berhoerster

        * debian/control: Fix runtime dependencies (877fd2f)
        * Separate QML files for Qt 5 and Qt 6 (0309c41)

2025-11-10 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (0e95825)

2025-10-28 Alfred Neumayer

        * Merge branch 'personal/peat-psuwit/exact-filename-match' into
          'main' (ad72404)

2025-10-23 Ratchanan Srirattanamet

        * registry-update: don't use glob to check if existing app still
          exists (6994055)
          Fixes:
          https://gitlab.com/ubports/development/ubuntu-touch/-/issues/2260

2025-09-21 Libre Fox

        * Translated using Weblate (Ukrainian) (6bac61e)

2025-09-10 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/compat-libcontent-hub1' into
          'main' (0fdba6c)

2025-09-10 Ratchanan Srirattanamet

        * debian/: add a compatibility symlink package libcontent-hub1
          (3a0a1d8)

2025-09-03 Milo Ivir

        * Translated using Weblate (Croatian) (5e9dfa9)

2025-08-10 Steve

        * Translated using Weblate (French (Switzerland)) (b88c659)

2025-08-07 Alagirisamy Rengaraj

        * Translated using Weblate (Tamil) (3658418)

2025-07-21 Ricky Tigg

        * Translated using Weblate (Finnish) (9c5a7f7)

2025-06-27 phmqXPD

        * Translated using Weblate (Vietnamese) (87a7e13)

2025-05-25 Mike Gabriel

        * Merge branch 'fix/ldm-includedirs' into 'main' (5dc1749)

2025-05-16 OPNA2608

        * treewide: Add missing LDM include dirs (cdd3371)

2025-05-18 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (2532da4)

2025-05-06 Priit Jõerüüt

        * Translated using Weblate (Estonian) (0d5ac4f)

2025-04-09 Mike Gabriel

        * Release 2.1.0 (ab8ad03) (tag: 2.1.0)

2025-04-09 Ratchanan Srirattanamet

        * Merge branch 'personal/mariogrip/qt6' into 'main' (95be325)

2025-04-09 Mike Gabriel

        * d/rules: Test unit test on armhf for Qt6 builds. They freeze
          endlessly at least on Ubuntu noble. (a56a802)
        * tests/qml-tests*/CMakeLists.txt: Run QML tests in dbus-test-runner
          environment. (6e2ddc5)

2025-04-08 Mike Gabriel

        * CMakeLists.txt: Fail if ENABLE_QT6 and ENABLE_UBUNTU_COMPAT are
          both set to 'ON'. (2d19226)
        * debian/: Enable dual builds (Qt5, Qt6). (f99e7cd)
        * CMake: Support dually building lomiri-content-hub against Qt5 and
          Qt6. (6161aff)
        * CMakeLists.txt: Add ENABLE_COVERAGE option. (dfb1da4)
        * CMakeLists.txt: Fix indentation in ENABLE_TESTS if clause.
          (c598f0c)
        * CMakeLists.txt: Drop LIBEXECDIR hack for builds on Debian. Debian
          now uses libexecdir just like any other distro. (ff88c64)

2025-02-27 Marius Gripsgard

        * treewide: Add qt6 support (9b39dde)

2025-02-06 Milo Ivir

        * Translated using Weblate (Croatian) (cea0ce4)

2025-02-05 Milo Ivir

        * Translated using Weblate (Croatian) (bc752b0)

2025-01-30 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/rename-click-hook' into 'main'
          (aa0c61a)

2025-01-30 Ratchanan Srirattanamet

        * debian/: rename & update the Click hook to match project rename
          (a0d24cf)
          Fixes: d38e1d745126 ("Rename content-hub to
          lomiri-content-hub")
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri-content-hub/-/issues/22

2025-01-29 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/build-with-libertine' into
          'main' (ec35f10)

2025-01-23 Ratchanan Srirattanamet

        * d/control: build with Libertine again, provide a bootstrap build
          profile (a9ea9d8)

2025-01-12 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (b7bbf26)

2025-01-09 Ratchanan Srirattanamet

        * Merge branch 'personal/gberh/testability' into 'main' (f981cb6)

2025-01-08 Guido Berhoerster

        * Improve Autopkgtest tests (97bb2df)
        * Allow Autopkgtest tests to override their AppArmor profile
          (8fb3c11)

2024-12-28 Hosted Weblate

        * Update translation files (58b9b7b)

2024-12-17 Distant Prince

        * Translated using Weblate (English (Canada)) (c326ba0)

2024-10-12 ikozyris

        * Translated using Weblate (Greek) (a3c9a26)

2024-09-06 Mike Gabriel

        * Release 2.0.0 (b68d540) (tag: 2.0.0)

2024-08-17 Hosted Weblate

        * Update translation files (05808c2)

2024-08-17 Mike Gabriel

        * Merge branch 'fix/qmlplugindumpQtFlagError' into 'main' (93365ca)

2023-12-31 OPNA2608

        * import/Lomiri/Content/CMakeLists: Drop -qt argument to
          qmlplugindump (024ca19)

2024-08-06 umesaburo sagawa

        * Translated using Weblate (Japanese) (bef73a3)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (90e8af3)

2024-06-19 Ratchanan Srirattanamet

        * Merge branch 'fix/AAless-transfer' into 'main' (64c5b39)

2024-05-31 OPNA2608

        * Fix AA-less content-hub transfer (b58e5c8)

2024-05-28 Ali Beyaz

        * Translated using Weblate (Turkish) (cdb2fc4)

2024-05-17 Ratchanan Srirattanamet

        * Merge branch 'drop/GetConnectionAppArmorSecurityContext' into
          'main' (c0fcf15)

2024-05-17 OPNA2608

        * Migrate from GetConnectionAppArmorSecurityContext to
          GetConnectionCredentials, check for AppArmor (9ec9df3)

2024-05-02 Mike Gabriel

        * Merge branch 'fix/transfer_files-generation' into 'main' (68899c7)

2024-02-01 OPNA2608

        * tests/acceptance-tests/CMakeLists.txt: Fix generation of
          moc_test_harness (75d8f77)
        * tests/acceptance-tests/CMakeLists.txt: Fix generation of
          transfer_files (32ea318)

2024-05-01 Mike Gabriel

        * Merge branch 'fix/gnuinstalldirsUsage' into 'main' (a08e12d)

2023-12-31 OPNA2608

        * Add more/better GNUInstallDirs variables usage (2f8aa49)

2024-04-25 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/build-against-debian' into
          'main' (5e1955e)

2024-04-23 Ratchanan Srirattanamet

        * debian/control: add xauth to B-Ds (c302a15)
        * debian/{control, rules}: conditionally use dh-migrations on Ubuntu
          only (7e41e77)
        * debian/{control, rules}: stop using dh_translations (81e5b19)

2024-04-22 Joan CiberSheep

        * Translated using Weblate (Catalan) (c8c297b)

2024-04-22 Ratchanan Srirattanamet

        * Merge branch 'ubports/focal_-_lomiri-renaming' into 'main'
          (d70b6c7)

2024-04-05 Ratchanan Srirattanamet

        * d/control: drop the use of qt5-default which is no longer in Noble
          (871d92b)

2024-01-04 Guido Berhoerster

        * Update .pot file (9e92885)
        * Update POTFILES.in (bd2f726)

2024-01-03 Guido Berhoerster

        * Rename content-hub to lomiri-content-hub (d38e1d7)

2024-04-13 复予

        * Translated using Weblate (Chinese (Simplified)) (2074104)

2024-03-23 ssantos

        * Translated using Weblate (Portuguese) (b2a3194)

2024-02-08 Mike Gabriel

        * Release 1.1.1 (7dc775c) (tag: 1.1.1)

2024-02-08 Ratchanan Srirattanamet

        * Merge branch 'personal/peat-psuwit/20-stub-more-functions' into
          'main' (d8ebfe0)
        * src: add missing symbols in GLib compatibility layer
          (3fecd73)
          Fixes:
          https://gitlab.com/ubports/development/core/content-hub/-/issues/20

2024-01-25 Vlad Nirky

        * Translated using Weblate (French) (90d9ee8)

2023-12-31 phlostically

        * Translated using Weblate (Esperanto) (1ed1f30)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (a9932b8)
        * Added translation using Weblate (Tamil (Sri Lanka)) (387fada)
        * Added translation using Weblate (German (Walser)) (6663c9a)
        * Added translation using Weblate (Meadow Mari) (496eaca)
        * Added translation using Weblate (Crimean Tatar) (79c2d44)
        * Added translation using Weblate (Chuvash) (a9df2ee)
        * Added translation using Weblate (Silesian) (948cacc)
        * Added translation using Weblate (Latin) (6d23f4a)
        * Added translation using Weblate (Venetian) (fad8be4)
        * Added translation using Weblate (Ossetian) (68ca95f)
        * Added translation using Weblate (Sami (Northern)) (2e6ef7f)
        * Added translation using Weblate (Greenlandic) (4c7b9f6)
        * Added translation using Weblate (Assamese) (79ae4f7)
        * Added translation using Weblate (Haitian) (878147c)
        * Added translation using Weblate (Cornish) (2c5ccf6)
        * Added translation using Weblate (Frisian) (dae609e)
        * Added translation using Weblate (Kashubian) (d2d1f62)
        * Added translation using Weblate (Aragonese) (43003c0)
        * Added translation using Weblate (Tibetan) (ae7b715)
        * Added translation using Weblate (Filipino) (b2fb2bc)
        * Added translation using Weblate (Tigrinya) (3dbd226)
        * Added translation using Weblate (Tatar) (36bcaad)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (1bd76b0)

2023-11-29 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (9edf846)

2023-10-17 Weblate

        * Added translation using Weblate (Xhosa) (6c23720)
        * Added translation using Weblate (Manx) (57e50b3)
        * Added translation using Weblate (Corsican) (a2451ef)
        * Added translation using Weblate (Chechen) (dbea6e6)
        * Added translation using Weblate (Wolof) (87edff3)
        * Added translation using Weblate (Kurdish (Central)) (9a17fa4)
        * Added translation using Weblate (Uzbek) (2ca8a6b)
        * Added translation using Weblate (Kyrgyz) (4e5c86a)
        * Added translation using Weblate (Kurdish) (41887f1)
        * Added translation using Weblate (Sotho (Southern)) (6e0d8ab)
        * Added translation using Weblate (Norwegian Nynorsk) (47078e8)
        * Added translation using Weblate (Swahili) (8baa083)
        * Added translation using Weblate (Afrikaans) (e9c883c)
        * Added translation using Weblate (Marathi) (7b9e39d)
        * Added translation using Weblate (Odia) (ee680ee)
        * Added translation using Weblate (Bengali) (8d648fe)

2023-10-11 phlostically

        * Translated using Weblate (Esperanto) (1973973)

2023-10-15 Mike Gabriel

        * Release 1.1.0 (d3c42fb) (tag: 1.1.0)

2023-09-24 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/17-content-store' into 'main'
          (0ac5130)
        * src/com/lomiri/content/transfer.cpp: Grammar fixes in comments,
          don't use emojis in code. (cbcd439)
        * tests/acceptance-tests/app_hub_communication_store_migration.cpp:
          White-space clean-up. (406989c)

2023-09-12 Ratchanan Srirattanamet

        * debian/control: fix Depends of glib library dev pkg (2b82781)
        * src: fix compatibility of glib library (0f99327)

2023-09-07 Ratchanan Srirattanamet

        * CMakeLists.txt, debian/changelog: bump minor version for new API
          (08c712a)
        * Make content-hub service specify the store path, not the client
          (d954707)
          Fixes:
          https://gitlab.com/ubports/development/core/content-hub/-/issues/17

          Fixes:
          https://gitlab.com/ubports/development/core/content-hub/-/issues/18

          Fixes:
          https://gitlab.com/ubports/development/core/content-hub/-/issues/1

2023-08-31 Ratchanan Srirattanamet

        * detail/service: prevent app ID spoofing (f95be69)

2023-08-20 Milan Korecky

        * Translated using Weblate (Czech) (f5b3698)

2023-07-28 Milan Korecky

        * Translated using Weblate (Czech) (1c380af)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (c1f3e5d)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (b22161e)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (1239b2c)
        * Translated using Weblate (Hindi) (5a12c33)

2023-06-02 Ratchanan Srirattanamet

        * Merge branch 'personal/gberh/doc-cleanup' into 'main' (2214fad)

2023-03-21 Guido Berhoerster

        * Check whether qdoc actually works (9821277)
        * Replace link to Launchpad with one to the project page (9af55fa)
        * Replace obsolete qdoc markup (a3e7281)

2023-04-16 Lu Xu

        * Translated using Weblate (Chinese (Simplified)) (484579f)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (9e48b0a)
        * Translated using Weblate (Georgian) (f0ebd5a)

2023-04-04 gallegonovato

        * Translated using Weblate (Spanish) (c1b271d)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (608e0c6)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (8e4ecbb)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (38197a1)

2023-02-28 Luna Jernberg

        * Translated using Weblate (Swedish) (6fdcf79)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (d2f7720)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (c6d06e3)

2023-02-21 Heimen Stoffels

        * Translated using Weblate (Dutch) (a22caa7)

2023-02-14 Mike Gabriel

        * Release 1.0.2 (529644e) (tag: 1.0.2)

2023-02-13 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (8a1b56e)

2023-02-13 Jami Kettunen

        * Merge branch 'personal/peat-psuwit/ubuntu-compat-symlink-method'
          into 'main' (a5b87e4)

2023-02-13 Ratchanan Srirattanamet

        * tests/qml-tests: adjust test to catch usage of var type in compat
          mode (27126ae)
        * import: switch compat layer to use symlink-to-main-plugin method
          (ef8c3f0)
          Fixes:
          https://gitlab.com/ubports/development/core/content-hub/-/issues/13

2023-02-13 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/default-peer-gallery' into
          'main' (bddf364)

2023-02-14 Ratchanan Srirattanamet

        * gschema: fix default peer (Gallery)'s app id (7459b23)

2023-02-11 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (985e39e)

2023-02-05 Mike Gabriel

        * Release 1.0.1 (56e4d78) (tag: 1.0.1)
        * d/changelog: Mark as released, this was forgotten during previous
          release. (27a8093)

2023-02-03 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (4d4ecc5)

2023-01-31 Mike Gabriel

        * Translated using Weblate (German) (6343f47)

2023-01-30 Ivo Xavier

        * Translated using Weblate (Portuguese) (f0bf0a1)

2023-01-29 gnu-ewm

        * Translated using Weblate (Polish) (1be90a2)

2023-01-30 Mike Gabriel

        * Merge branch 'personal/gberh/dh-12' into 'main' (c4d00c5)

2023-01-30 Guido Berhoerster

        * Update to dh version 12 (70040dc)

2023-01-17 Daniel Frost

        * Translated using Weblate (German) (29adf6e)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (8bcb4d4)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Russian) (b79fb56)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (6fc8420)

2023-01-13 Timothy G

        * Translated using Weblate (French) (fea442f)

2023-01-12 Ratchanan Srirattanamet

        * Merge branch 'main_-_addcopy' into 'main' (3563de0)

2022-12-21 Lionel Duboeuf

        * Expose copy() method, mark move() method deprecated (311e35d)
        * Bump std c++ version to 17. (d472f25)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (037f747)

2023-01-09 Mike Gabriel

        * Merge branch 'deprecations' into 'main' (e9e1556)

2023-01-07 Luca Weiss

        * Replace deprecated QRegExp with QRegularExpression (54c2558)
        * Replace deprecated QStandardPaths::DataLocation (35cb908)

2023-01-06 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (058c0a7)

2023-01-05 Hosted Weblate

        * Update translation files (1b9aec5)

2023-01-05 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (86dcb1e)

2023-01-05 Guido Berhoerster

        * Merge branch 'personal/sunweaver/modernize-i18n' into 'main'
          (3119974)

2023-01-04 Mike Gabriel

        * po/: Modernize i18n. (f8c1edb)

2023-01-04 Anonymous

        * Translated using Weblate (Chinese (Min Nan)) (a9a40c8)
        * Translated using Weblate (Kurdish (Southern)) (1a9da3e)
        * Translated using Weblate (Kurdish (Northern)) (1279d17)
        * Translated using Weblate (Shan) (aff3358)
        * Translated using Weblate (Bemba) (73e3b4e)
        * Translated using Weblate (Dhivehi) (a06ab41)
        * Translated using Weblate (Nyanja) (065d86a)
        * Translated using Weblate (Macedonian) (e526aa2)
        * Translated using Weblate (Maori) (9d40635)
        * Translated using Weblate (Malayalam) (55a9d10)
        * Translated using Weblate (Friulian) (f525008)
        * Translated using Weblate (Pashto) (91f7ef0)
        * Translated using Weblate (Telugu) (f6f48ee)
        * Translated using Weblate (Turkmen) (5bbe273)
        * Translated using Weblate (Lao) (e2b1166)
        * Translated using Weblate (Tetum) (d1ec682)
        * Translated using Weblate (Ido) (6cb52b5)
        * Translated using Weblate (Scots) (0f3261f)
        * Translated using Weblate (Franco-Provençal) (a2594a4)
        * Translated using Weblate (Sindhi) (711c91e)
        * Translated using Weblate (Pampanga) (7ad2f84)
        * Translated using Weblate (Malagasy) (b7b86c8)
        * Translated using Weblate (Kabyle) (b7fde2c)
        * Translated using Weblate (Luxembourgish) (2d3e82d)
        * Translated using Weblate (Lojban) (62e3947)
        * Translated using Weblate (French (Switzerland)) (3f680b7)
        * Translated using Weblate (Tajik) (2dc4bb1)
        * Translated using Weblate (Oromo) (11e4523)
        * Translated using Weblate (Nepali) (b5a1492)
        * Translated using Weblate (Burmese) (7d5a98d)
        * Translated using Weblate (Lingala) (10723d6)
        * Translated using Weblate (Icelandic) (3a68f72)
        * Translated using Weblate (Estonian) (246ff8a)
        * Translated using Weblate (Bulgarian) (3b3b33b)

2023-01-04 Mike Gabriel

        * README.md: Add reference to hosted.weblate.org. (bdb3550)
        * README -> README.md (convert to markdown). (72f4930)
        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (98e79b0)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (2efea82)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (9ec8da1)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (f9a2cca)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Min Nan)) (066ea45)
        * Added translation using Weblate (Kurdish (Southern)) (ce8d624)
        * Added translation using Weblate (Kurdish (Northern)) (d379d4f)
        * Added translation using Weblate (Shan) (dcaa6fd)
        * Added translation using Weblate (Bemba) (a73ff26)
        * Added translation using Weblate (Dhivehi) (4aa480e)
        * Added translation using Weblate (Bengali (Bangladesh)) (5f01158)
        * Added translation using Weblate (Nyanja) (e533a6c)
        * Added translation using Weblate (English (Canada)) (8d0a4e8)
        * Added translation using Weblate (Sardinian) (c435a9c)
        * Added translation using Weblate (English (United States)) (c9616e0)
        * Added translation using Weblate (Georgian) (ae3904b)
        * Added translation using Weblate (Macedonian) (9ce194e)
        * Added translation using Weblate (Maori) (014626c)
        * Added translation using Weblate (Malayalam) (6d8801f)
        * Added translation using Weblate (Friulian) (52311e3)
        * Added translation using Weblate (Hindi) (c4823aa)
        * Added translation using Weblate (Armenian) (5dfaf64)
        * Added translation using Weblate (Pashto) (d1eb47c)
        * Added translation using Weblate (Telugu) (9791c20)
        * Added translation using Weblate (Turkmen) (bb0dafa)
        * Added translation using Weblate (Lithuanian) (690fafc)
        * Added translation using Weblate (Lao) (244dc10)
        * Added translation using Weblate (Gujarati) (83716c3)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (a75042d)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (103a045)
        * Added translation using Weblate (Tetum) (e657d92)
        * Added translation using Weblate (Ido) (5fad621)
        * Added translation using Weblate (Scots) (6666cfb)
        * Added translation using Weblate (Franco-Provençal) (d924e98)
        * Added translation using Weblate (Sindhi) (4ebc382)
        * Added translation using Weblate (Pampanga) (1d17003)
        * Added translation using Weblate (Malagasy) (fcbd713)
        * Added translation using Weblate (Kabyle) (56cbcb7)
        * Added translation using Weblate (Luxembourgish) (1d6c5ac)
        * Added translation using Weblate (French (Switzerland)) (0ea82d3)
        * Added translation using Weblate (Lojban) (70d6b1f)
        * Added translation using Weblate (Tajik) (b68b46d)

2023-01-03 Hosted Weblate

        * Update translation files (232b24d)

2022-11-23 Ratchanan Srirattanamet

        * Merge branch 'click-support' into 'main' (cda9c65)

2022-11-22 Guido Berhoerster

        * Add back click hook (b0dba19)

2022-10-27 Mike Gabriel

        * Merge branch 'fix_build' into 'main' (0d90df2)

2022-09-25 Sergey Chupligin

        * Fixup build on Qt 5.15 (561ec6f)

2022-08-01 Ratchanan Srirattanamet

        * Merge branch 'fix-dbus-apparmor-check' into 'main' (a35cd75)

2022-08-01 Guido Berhoerster

        * Allow DBus activation by AppArmor-confined apps (4ed728c)

2022-07-19 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/ubuntu-compat-import' into
          'main' (667a2aa)

2022-06-03 Ratchanan Srirattanamet

        * import: add deprecation warning for Ubuntu.* (5f9b784)

2022-04-28 Ratchanan Srirattanamet

        * import/, tests/: add Ubuntu.Content compatibility layer
          (b0ea7af)
          Fixes:
          https://gitlab.com/ubports/core/content-hub/-/issues/6

2022-06-24 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/relpath-in-API-docs' into 'main'
          (0dacf3d)

2022-05-03 Ratchanan Srirattanamet

        * Merge branch 'fix-url-dispatcher-path' into 'main' (3f6cfa4)

2022-05-03 Guido Berhoerster

        * Install URL schema file to lomiri-url-dispatcher path (12c1aca)

2022-02-21 Ratchanan Srirattanamet

        * Merge branch 'focusinfo-rename' into 'main' (ae86962)

2022-02-14 Guido Berhoerster

        * Add missing build dependency on graphviz (2c2b5ad)
        * Rename com.canonical.Unity.FocusInfo to com.lomiri.Shell.FocusInfo
          (823a326)

2022-02-02 Ratchanan Srirattanamet

        * doc/Doxyfile: make docs reproducible & nicer (89fee74)
        * Merge branch 'mr/add-dummy-keywords-key-to-desktop-files' into
          'main' (df3b836)

2022-02-02 Mike Gabriel

        * Silence lintian, add dummy Keywords= key. (ceade0c)

2021-12-22 Dalton Durst

        * Merge branch 'personal/mariogrip/sync-quit' into 'main' (231c081)

2021-12-17 Marius Gripsgard

        * hub: Make service->quit() synchronous (e9006bc)

2021-12-02 Dalton Durst

        * Merge branch 'personal/peat-psuwit/gitignore-obj' into 'main'
          (bdc1da4) (tag: 1.0.0)
        * Merge branch 'personal/peat-psuwit/Wignored-qualifiers' into 'main'
          (6ee4e98)

2021-12-02 Ratchanan Srirattanamet

        * .gitignore: ignore obj-*/ (8b477c2)
        * Remove -Wignored-qualifiers exception after fixing lal (33d9297)

2021-11-24 Marius Gripsgard

        * Merge branch 'pr/x-canonical-to-x-ayatana' into 'main' (0c826e2)

2021-10-26 Robert Tari

        * Renaname x-canonical properties (90903ae)

2021-05-26 Rodney

        * Merge branch 'mr/clean-up-bzr-cruft' into 'main' (977b750)

2021-05-26 Mike Gabriel

        * .bzr-builddeb/default.conf: Drop Bazaar cruft, not required
          anymore. (15ed8ae)

2021-05-15 Rodney

        * Merge branch 'personal/peat-psuwit/fix-libcontent-hub0' into 'main'
          (0c1ba2d)

2021-05-15 Ratchanan Srirattanamet

        * d/control: fix libcontent-hub0 dependencies (26ee958)

2021-05-01 Marius Gripsgard

        * Merge branch 'personal/mariogrip/focal_-_lomiri-rename' into 'main'
          (b4fc11a)

2021-04-16 Marius Gripsgard

        * Release: v1.0.0 (5b55a89)

2021-05-01 Marius Gripsgard

        * tests: Change exit to _exit (b52212e)
        * docs: Add back copyright and add ubports copyright (0134d5f)

2021-04-16 Marius Gripsgard

        * Build without libertine for now (e85ff82)

2021-04-27 Ratchanan Srirattanamet

        * d/*: add a migration script for renamed gsettings (a2ea63a)
        * d/*: rename the qml-module package to be consistent with the
          guideline (498e8a4)

2021-04-17 Marius Gripsgard

        * apparmor: Return unconfined on error when trying to find appid
          using aa (4a71cc7)

2021-04-16 Marius Gripsgard

        * tests: Skip some tests that fails (18808c5)
        * tests: Fix incorrect expected states (b930c08)
        * test: Don't quit hub service before test is done (d9e7aeb)

2021-04-27 Ratchanan Srirattanamet

        * tests: signal readiness after the event loop has started (e0cab46)

2021-04-16 Marius Gripsgard

        * hub: Print a warning if we have dbus errors (7832e53)
        * tests: Make sure to report failure from child process (10a7103)
        * Debian: don't run tests in parallel, dbus-test-runner does not like
          it (ab8aa1d)
        * Debian: Add libgtest-dev as dep (91393a6)
        * Debian: Build in parallel (14ee9b2)
        * Debian: Add missing dep (libdbus-1-dev) (dfe4b00)
        * Debian: Use default test function provided by cmake (7a44b12)
        * git: Add gitignore (9d9dc83)
        * debian: Move jenkinsfile to debian folder (bbfd091)
        * qml: Don't crash if we dont have a valid transfer pointer (1dedd87)
        * build: Enable -Wall -Wextra -pedantic and fix issues it found
          (75c4ffd)
        * Replace nih-dbus with lomiri-api (f72ff5a)
        * cmake: Move enable_testing to root cmakefile (3e0c439)
        * po: Rename po files (4f8f9f4)
        * tests: X-Ubuntu-Touch has been renamed to X-Lomiri-Touch (7cca8bf)
        * examples: qml: UbuntuShape has been renamed to LomiriShape
          (8283c66)
        * debian: Cleanup control file and switch urls and maintainer to
          ubports (b456721)
        * debian: Switch to lomiri ui toolkit (cbca371)
        * debian: Switch to lomiri download manager (ebe7917)
        * debian: Switch to lomiri app launch (50fba1b)
        * src: Rename namespace and headers to lomiri (9c1a972)
        * gsetting: Rename gsettings (b30dd98)
        * dbus: Rename dbus interface to lomiri namespace (3468c6e)
        * qml: Inital rename to lomiri of qml part (0967efa)

2021-04-17 Marius Gripsgard

        * Merge remote-tracking branch 'old-origin' into HEAD (7083064)

2021-04-06 Marius Gripsgard

        * Merge branch 'lomiri-main' into 'main' (5b8cac5)

2021-04-05 Luca Weiss

        * Rename to Lomiri (4630d79)

2020-10-07 Marius Gripsgard

        * Add option to build without libertine (#14) (676639a)

2019-01-29 Luca Weiss

        * Migrate to cmake-extras (#9) (6616c1f)

2018-10-04 Luca Weiss

        * Move find Gtest/GMock into tests CMake file (#7) (73d9f6f)

2018-06-09 Ivan Semkin

        * Fix build with Qt 5.11_beta3 (dropping qt5_use_modules) (af2ce86)

2021-02-05 Kugi Eusebio

        * Fixed TypeError errors (#17) (a610450)

2021-01-07 Rodney

        * Fixes for Qt 5.12 (#16) (9a56dc8)

2020-10-07 Marius Gripsgard

        * Add option to build without libertine (#14) (7554e67)

2017-03-15 Ken VanDine

        * Install an empty dir for the snap interface hook to install peers.
          (1d54c20)
        * removed unused filed (0ad1572)
        * Added /var/cache/content-hub/peers/ to the list of directories
          watched for peers.  The snap interface hook will install
          them there. (ad130b7)

2017-03-08 Ken VanDine

        * Rename the Hook class to RegistryUpdater (8cd915f)
        * Removed some debugging (f3e0803)
        * Removed click usage in the helper and dropped the depends (472a932)
        * Fixed packaging to deal with the removal of the click hook
          (188b640)
        * Added QFileWatcher to watch for peers to be installed/removed
          (8552df9)

2017-03-07 Ken VanDine

        * Don't quit after refreshing registry (d62e95a)
        * Removed the click hook and check for registered peers on service
          startup (5e021b6)

2019-12-16 Alberto Mardegan

        * Build: allow building with crossbuilder (642f453)

2019-01-11 Joan CiberSheep

        * App Grid Centered (#12) (f0d91e8)

2018-11-18 Joan CiberSheep

        * Bumped import versions (#8) (7482bb8)

2018-06-16 Marius Gripsgard

        * Merge pull request #6 from ubports/xenial_-_test6 (2eb1e90)

2017-03-09 William Hua

        * Prevent crash when creating a paste with a bogus app id (LP:
          #1655105) (aedd975)

2017-12-28 Marius Gripsgard

        * Update Jenkinsfile (19614fc)

2017-10-13 Marius Gripsgard

        * Imported to UBports (114abe8)

2016-12-01 Bileto Bot

        * Releasing 0.2+17.04.20161201.1-0ubuntu1 (dd19978)

2016-12-01 William Hua

        * Add GLib bindings (LP: #1624437) (LP: #1624437) (18004f3)
        * Group the commands better (7ae24f0)
        * Fix build failure on zesty due to googletest 1.8. Also refactored
          tests/acceptance-tests/CMakeLists.txt to make adding tests
          less cumbersome. (LP: #1644062) (f37ae14)

2016-12-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (555dc45)

2016-11-28 Bileto Bot

        * Releasing 0.2+17.04.20161128-0ubuntu1 (def66c2)

2016-11-28 Ken VanDine

        * Fix build failure on zesty due to googletest 1.8. Also refactored
          tests/acceptance-tests/CMakeLists.txt to make adding tests
          less cumbersome. (LP: #1644062) (ced71ee)
        * Fix build failure on zesty due to googletest 1.8.  Also refactored
          tests/acceptance-tests/CMakeLists.txt to make adding tests
          less cumbersome. (f709b82)

2016-11-23 William Hua

        * Merge lp:content-hub (09614f0)

2016-11-23 Ken VanDine

        * Use dbus-test-runner for tests by default (d6a1a30)

2016-11-21 William Hua

        * Merge lp:~attente/content-hub/content-hub-glib (cf1cb03)
        * Merge lp:~ken-vandine/content-hub/dbus_test_runner (82ba1a8)

2016-11-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7722b88)

2016-11-10 William Hua

        * Use test harness (abd7132)

2016-11-09 William Hua

        * Remove g_assert_cmpmem (6a83339)
        * glib_test.c -> glib_test.cpp (eda67e8)
        * Define g_assert_cmpmem () if it doesn't exist (GLib < 2.46)
          (8184c53)
        * Include gio/gio.h in test (c3e2c8d)

2016-11-07 Bileto Bot

        * Releasing 0.2+17.04.20161107-0ubuntu1 (cccf53f)

2016-11-07 Ken VanDine

        * Skip the UAL lookup when run under autopkgtests to prevent an abort
          from UAL (06a32d0)
        * Catch the exception through creating the ual::Application (2aa67a2)

2016-11-04 Ken VanDine

        * Skip the UAL lookup when run under autopkgtests to prevent an abort
          from UAL (3faf9cf)

2016-11-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bf74a37)

2016-11-02 William Hua

        * Remove autocleanup generation (doesn't exist on Xenial) (dfe4c4e)
        * Add GLib and GIO include directories (33a97a4)
        * Merge trunk (cfa2742)

2016-10-31 William Hua

        * Add tests for GLib bindings (64ab9ce)

2016-10-30 William Hua

        * Add GLib bindings (LP: #1624437) (8b66a05)

2016-10-26 Bileto Bot

        * Releasing 0.2+17.04.20161026-0ubuntu1 (0e00a31)

2016-10-26 Ken VanDine

        * Use UAL to get iconPath instead of parsing the desktop file
          ourselves (d1983cd)
        * Use aboutToQuit to handle taking down the interface (ce2bea8)
        * fixed bad merge (ab2e6d6)

2016-10-25 Ken VanDine

        * Merged trunk (c460978)

2016-10-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (98a4004)

2016-09-23 Ken VanDine

        * Fixed logging (49e385a)
        * Use UAL to set the peer name property (83bdd81)
        * Don't attempt to build the iconPath when run with
          CONTENT_HUB_TESTING set (1275381)

2016-09-22 Ken VanDine

        * dropped legacy property (1777c06)
        * Use UAL to get iconPath instead of parsing the desktop file
          ourselves (d836397)

2016-09-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d0a6c00)

2016-09-14 Bileto Bot

        * Releasing 0.2+16.10.20160914-0ubuntu1 (75316f6)

2016-09-14 Ken VanDine

        * Build with hardening=+all (LP: #1597453) (b4c1106)
        * Build with hardening=+all (e0bd50f)

2016-09-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3467545)

2016-09-02 Bileto Bot

        * Resync trunk. (d1750d2)

2016-09-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (408dcde)

2016-08-30 Bileto Bot

        * Releasing 0.2+16.10.20160830-0ubuntu1 (de8b40f)

2016-08-30 Florian Boucault

        * Fixes for crossbuilding. (69bdc59)

2016-08-30 Bileto Bot

        * Pasteboard implementation (548de1c)

2016-08-25 Ken VanDine

        * Daniel d'Andrada 2016-08-24 Improve PasteFormatsChanged (e2d5f8b)

2016-08-25 Bileto Bot

        * Releasing 0.1+16.10.20160825-0ubuntu1 (aa31278)

2016-08-25 Ken VanDine

        * Added isolation-machine to test restrictions as these tests need a
          working upstart user session. (c7275f8)
        * Disable the autopkgtests until we figure out how to run an upstart
          user session (4bfa0c2)

2016-08-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (91bdbc8)

2016-08-24 Daniel d'Andrada

        * Improve PasteFormatsChanged (db6fd1b)

2016-08-24 Bileto Bot

        * Resync trunk. (28a3491)

2016-08-24 Ken VanDine

        * Added isolation-machine to test restrictions as these tests need a
          working upstart user session. (57c59f0)
        * Daniel d'Andrada 2016-08-23 Authenticate using surface ids instead
          of process ids (419f11c)
        * merged trunk (33b4332)

2016-08-23 Daniel d'Andrada

        * Authenticate using surface ids instead of process ids (d6301f3)

2016-08-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2ab78a9)

2016-08-22 Bileto Bot

        * Releasing 0.1+16.10.20160822-0ubuntu1 (8db4a48)

2016-08-22 Ted Gould

        * No change rebuild for UAL ABI change (fef830e)

2016-08-19 Florian Boucault

        * Merged from trunk (dbfea58)
        * Better conditional plugins.qmltypes (c91160e)

2016-08-09 Bileto Bot

        * Releasing 0.1+16.10.20160809-0ubuntu1 (9d8118f)

2016-08-09 Ken VanDine

        * build dep on qttools5-dev-tools for qdoc (20b033c)

2016-08-08 Ted Gould

        * No change rebuild (e91b727)

2016-08-03 Ken VanDine

        * Make app_id matches non-fatal for CreatePaste (dfa6fda)
        * Ported MimeDataSerialization from qtmir (d373bb5)

2016-08-02 Ken VanDine

        * Updated version (f41ff6b)

2016-08-01 Daniel d'Andrada

        * Some changes and clean up around the requestors' app_id (961d915)
        * merge lp:~ken-vandine/content-hub/pasteboard (20968ad)

2016-08-01 Ken VanDine

        * removed unneeded handle_pastes (d5854c0)
        * Return a bool from CreatePaste and don't register object path
          during CreatePaste (8429290)
        * Don't register Paste object path when requesting a paste, we
          control access to that via isPidFocus from Unity8
          (85b0eeb)
        * Don't check isPidFocused from Unity8 while under testing (f824aad)
        * Remove public API state from Paste (4fda3fe)

2016-07-29 Ken VanDine

        * Limit stack size to 5 (a43e90c)

2016-07-29 Daniel d'Andrada

        * Keep only the most recent pastes (674691a)

2016-07-29 Ken VanDine

        * Only send paste to an app that is currently focused, thanks to
          Daniel d'Andrada (685f2bd)
        * spelling (8b81606)

2016-07-29 Daniel d'Andrada

        * Only send paste to an app that is currently focused (337d684)
        * merge lp:~ken-vandine/content-hub/pasteboard (500478e)

2016-07-29 Ken VanDine

        * Only check if the appId matches for creating pastes (1c5773c)

2016-07-28 Ken VanDine

        * Fix app_id_matches() (92b6276)

2016-07-28 Daniel d'Andrada

        * Fix app_id_matches() (79dfbea)

2016-07-28 Ken VanDine

        * build dep on qttools5-dev-tools for qdoc (95e95ed)

2016-07-28 Daniel d'Andrada

        * merge lp:~ken-vandine/content-hub/pasteboard (7b1f855)

2016-07-27 Ken VanDine

        * explicitly build dep on qtbase5-dev-tools for qdoc (f42a00a)
        * Version bump to reflect Pasteboard implemention (9b00e66)
        * Merged fixes from dandrader (ef84609)

2016-07-26 Daniel d'Andrada

        * Fix unnecessary round trip and memory leak when creating a paste
          (d3f2ee5)

2016-07-25 Daniel d'Andrada

        * merge lp:~ken-vandine/content-hub/pasteboard (d505d8e)

2016-07-25 Ken VanDine

        * Added pasteboardChanged signal emitted when the stack has changed
          (1fbc9fe)
        * merged trunk (4a89364)

2016-07-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (51fe763)

2016-07-21 Ken VanDine

        * Fix from Daniel d'Andrada for memory leak in cuc::Hub::createPaste
          (508059d)

2016-07-21 Daniel d'Andrada

        * Fix memory leak in cuc::Hub::createPaste (62bc6df)

2016-07-21 Ken VanDine

        * Merged API improvements from Daniel d'Andrada, including making
          createPaste async (120ed89)
        * merged trunk (e339b1f)

2016-07-21 Daniel d'Andrada

        * Document data format used in serialization (387836f)
        * Make cuc::Hub::createPaste async and rename methods to Qt coding
          style (camelCase) (ad7a188)
        * WIP (52df987)
        * merge lp:~ken-vandine/content-hub/pasteboard (8b5f417)

2016-07-21 Ken VanDine

        * Added Hub::pasteFormats property which contains a list of mimetypes
          available to paste from the pasteboard (9eb85bc)
        * Dropped the Q_INVOKABLE from the new function (c4413c5)
        * removed unused PasteAdded signal (e7ce03f)
        * Added Hub::pasteFormats property which contains a list of mimetypes
          available to paste from the pasteboard (5f503e9)
        * removed unused uuid (35ece9c)
        * Verify app_id_matches for CreatePaste as well (71be230)
        * refactored a bit to include the mimeData when calling CreatePaste,
          cuts down a dbus round trip (fb6dc01)

2016-07-18 Ken VanDine

        * removed commented out line (daa486b)
        * Use QMimeData for the Paste payload (be4b864)

2016-07-15 Bileto Bot

        * Releasing 0.1+16.10.20160715-0ubuntu1 (dc7e44b)

2016-07-15 Ken VanDine

        * Filter current app out of the peer model (LP: #1603508) (65f59f3)
        * Filter current app out of the peer model (066d492)

2016-07-08 Ken VanDine

        * Don't warn on empty pasteboard (7cc238a)
        * Don't block on returning paste if it doesn't exist (b379d0a)

2016-07-06 Florian Boucault

        * remove condition (8d8d35d)
        * do not remove condition (aab135f)

2016-07-05 Florian Boucault

        * Fixes for crossbuilding. (b11689a)

2016-07-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (73b26d6)

2016-06-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1d57dcd)

2016-06-10 Bileto Bot

        * Releasing 0.1+16.10.20160610.2-0ubuntu1 (6846baa)

2016-06-10 Ken VanDine

        * Ensure all the properties are set when the url is set on a
          ContentItem (LP: #1571361) (e57283f)
        * Ensure all the properties are set when the url is set on a
          ContentItem (dc916b5)

2016-06-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1c86a00)

2016-06-09 Ken VanDine

        * default to running the file copy test except during package build
          (76aebaa)
        * Work around issue of charging the transfer when run under sbuild
          (3988245)
        * build dep on xvfb for qmltests (c5fab2b)
        * Use xvfb-run to run qml-tests (fd51c15)

2016-06-07 Ken VanDine

        * UAL build fixes (25b5859)
        * Use UAL to ensure the app_id is correct (049b945)

2016-06-02 Ken VanDine

        * Don't run dbus-test-runner from the package build, the test target
          does that for us now. (11f4a19)
        * improved test to use dbus-test-runner via make test (4d6af44)

2016-06-02 Bileto Bot

        * Releasing 0.1+16.10.20160602-0ubuntu1 (9cf18a6)

2016-06-02 Ken VanDine

        * Call qmlplugindump with -noinstantiate (098a631)
        * Removed unused code (216d046)
        * fixed header (91c8ef1)
        * Added tests for pasteboard (1547748)
        * improved logging (b0ee075)
        * improved logging (b4d5124)

2016-06-01 Ken VanDine

        * Mangle paste object path based on destination app, this will let us
          restrict access based on apparmor profile. (8092342)

2016-05-31 Ken VanDine

        * Drop copy and paste handlers, we don't need them (8301748)

2016-05-26 Ken VanDine

        * improved pasteboard examples (2701345)
        * Added paste_buf_by_id (76aad25)
        * Added GetLatestPaste and GetPaste (29c2274)
        * Added copy and paste examples for the pasteboard (ae4ed80)
        * Fixes for the pasteboard API (fe60be5)

2016-05-25 Ken VanDine

        * Added Paste dbus backend to the hub client API (4814994)

2016-05-23 Ken VanDine

        * Added Paste class (f277da9)

2016-05-18 Ken VanDine

        * Call qmlplugindump with -noinstantiate (4d5ce81)
        * merged trunk (58b8075)
        * Added paste handler (9e7a812)
        * Call qmlplugindump with -noinstantiate (5ae5958)

2016-04-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (70a0041)

2016-03-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d0df9ea)

2016-03-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (816bacc)

2016-03-09 CI Train Bot

        * Releasing 0.1+16.04.20160309-0ubuntu1 (0b36f8f)

2016-03-09 Michael Sheldon

        * Fix documentation for toDataURI method
          Fixes: #1555116 Approved by:
          Ken VanDine (1f68c50)
        * Fix documentation for toDataURI method (8197bd2)

2016-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a77bc93)

2016-02-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d16ab8b)

2016-01-29 CI Train Bot

        * Releasing 0.1+16.04.20160129.1-0ubuntu1 (ba4a955)

2016-01-29 Ken VanDine

        * Combine share and import peers
          Fixes: #1539674 Approved by: PS
          Jenkins bot (4fb33d5)
        * all isn't valid for shares (43e47e5)
        * define peers (6575bbc)
        * Revert consolidating share and export but add type "all" and legacy
          apps to share peers (2311527)
        * Tagged bug (9c1acfb)
        * Combine share and import peers (d46439c)

2016-01-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (437044c)

2015-12-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9976767)

2015-12-16 CI Train Bot

        * Releasing 0.1+16.04.20151216.1-0ubuntu1 (d6aaa51)

2015-12-16 Michael Sheldon

        * Set destination app-id as download metadata Approved by: Ken
          VanDine, PS Jenkins bot (e22c990)

2015-12-08 Michael Sheldon

        * Add build dependency on qtdeclarative5-ubuntu-ui-toolkit-plugin
          (96938a9)

2015-12-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (60ef793)

2015-11-24 CI Train Bot

        * Releasing 0.1+16.04.20151124-0ubuntu1 (ad7345b)

2015-11-24 Ken VanDine

        * Added ogg file (the default Ubuntu ringtone) for testing music
          exports and support music exports in
          content-hub-test-exporter (cc8d54c)

2015-11-17 Ken VanDine

        * added music to registered types (fc28020)

2015-11-12 Ken VanDine

        * Added ogg file (the default Ubuntu ringtone) for testing music
          exports and support music exports in
          content-hub-test-exporter (45cde33)

2015-11-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (39c57c6)

2015-10-29 CI Train Bot

        * Releasing 0.1+16.04.20151029.1-0ubuntu1 (51e6d72)

2015-10-29 Ken VanDine

        * Use libertine to query for apps installed in containers Approved
          by: PS Jenkins bot (39a0ea8)
        * use ubuntu_app_launch_application_info to get the dir and filename
          for desktop files (59bb6b1)
        * Drop the ElideMiddle in the ContentPeerPicker and add WordWrap to
          match the grid in unity8 (296f5f1)
        * Cleaned up usage of appinfo (0b9dea2)
        * Fixed icon handling (ca1ec4d)

2015-10-28 Ken VanDine

        * improved icon handling (8e8406e)
        * handle using the dir for iconName (c087e4d)
        * Handle charging downloads when dismissed, just don't invoke the
          app.  This is useful when handling legacy apps. (2a52db1)

2015-10-27 Ken VanDine

        * added debugging log for peer icons (747b466)

2015-10-23 Ken VanDine

        * fixed FTBFS (cdebd35)
        * Transfer content destined for legacy apps to ~/shared inside the
          container (ed18d6a)
        * Removed whitespace (5fd28bc)
        * removed debug output (16beee1)

2015-10-21 Ken VanDine

        * Don't include the legacy apps as sources (c8f49ad)
        * Avoid file name conflicts when copying data for transfer to legacy
          apps (8b4c801)

2015-10-20 Ken VanDine

        * added peer_is_legacy to mocks (c5ec594)
        * Added legacy peer handling, work in progress (d766d34)

2015-10-16 Ken VanDine

        * use a default xorg icon for legacy apps (1f6f111)
        * fallback iconName without leading dir (983c353)
        * set legacy peer when in a libertine container and use a generic
          icon for now (01162d2)
        * added legacy property to peer (9cdd8ed)

2015-10-15 Ken VanDine

        * added debug output for iconPaths (415888b)

2015-10-14 Ken VanDine

        * merged appinfo branch (3e119a2)
        * used defines for keys (de42dc9)
        * used defines for keys (b927a2b)
        * Added FIXME for nodisplay and shownin (21300c4)
        * use a g_key_file for looking up mimetype (fa21a2e)
        * added more debug output (334ae51)
        * set the themeSearchPath to include the libertine containers
          (9dfd4f5)

2015-09-30 Ken VanDine

        * Merged appinfo branch (9027bf3)

2015-09-29 Ken VanDine

        * Fallback to loading the desktop file as a g_key_file if we fail
          to get a valid GAppInfo.;  Added dbus API for creating a
          peer to properly marshal metadata and icon (ddcbabd)

2015-09-25 Ken VanDine

        * added more logging to peer (9eb1ec6)

2015-09-24 Ken VanDine

        * Ensure we don't query for appinfo on the client side (42033c6)
        * merged picker_wordwrap (4ebe94f)
        * Increase the delegateHeight to allow for 2 lines of text (4b28be7)
        * merged appinfo_peers (c470493)
        * merged picker_wordwrap (2e37f72)
        * wrapMode: Text.Word and added maximumLineCount of 2 (6cb1298)
        * merged picker_wordwrap (7b6d49a)
        * Drop the ElideMiddle in the ContentPeerPicker and add WordWrap to
          match the grid in unity8 (d7d67a2)
        * merged trunk (7e46a92)
        * merged trunk (d18aa9c)
        * Removed debug output and special handling for the firefox icon
          (4dad1c7)

2015-09-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (91d6f9b)

2015-09-24 CI Train Bot

        * Resync trunk. (bc89b03)

2015-09-23 Ken VanDine

        * Set themeSearchPaths for QIcon (9f29bd5)

2015-09-23 Michael Sheldon

        * Merge from trunk (c65a7da)

2015-09-23 Ken VanDine

        * Use libertine to query for apps installed in containers.  Also
          build with QT_NO_KEYWORDS, to fix build issues when
          including libertine.h (d266575)

2015-09-23 Michael Sheldon

        * Set correct key for DownloadManager metadata app id (f2baaae)

2015-09-22 Ken VanDine

        * use ubuntu_app_launch_application_info to get the dir and filename
          for desktop files (b83394b)

2015-09-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5f4a134)

2015-09-22 CI Train Bot

        * Releasing 0.1+15.10.20150922-0ubuntu1 (b9306a9)

2015-09-22 Ken VanDine

        * Added ContentPeerPicker13.qml for 1.3 imports (8e3dd8a)

2015-09-21 Ken VanDine

        * removed hardcoded color (99b623c)
        * Major version bump (6d3c1b6)
        * merged trunk (fa31232)
        * Updated for UbuntuShape deprecations (1d30a1c)
        * dropped the title property added in the previous commit (c771af9)

2015-09-18 Michael Sheldon

        * Set destination app-id as download metadata (12d7c5c)

2015-09-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (26aeb7d)

2015-09-15 Ken VanDine

        * Added a read-only property to ContentPeerPicker to expose the title
          (441ef25)

2015-09-14 Ken VanDine

        * Added ContentPageHeader (copied from webbrowser-app) to provide our
          own header (a7dacbc)
        * merged trunk (8f97a70)

2015-09-09 CI Train Bot

        * Releasing 0.0+15.10.20150909-0ubuntu1 (06cf276)

2015-09-09 Robert Ancell

        * Drop unused include that makes build fail unless Qt5Gui pkg-config
          file is used. Approved by: PS Jenkins bot, Ken VanDine
          (f9ea498)

2015-09-09 Ken VanDine

        * Fixed crash when the service is passed an invalid type via dbus

          Fixes: #1472026 Approved by: PS Jenkins bot, Michael
          Sheldon (f99da83)

2015-09-09 Michael Sheldon

        * Add an "Undefined" content type to QML bindings so we can avoid
          making unnecessary peer look ups when the content type
          hasn't yet been set now that peers can register for
          Unknown. Approved by: PS Jenkins bot, Ken VanDine
          (ad3250c)

2015-09-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (db309f4)

2015-09-04 Ken VanDine

        * Added ContentPeerPicker13.qml for 1.3 imports (4e12465)

2015-09-02 Michael Sheldon

        * Don't perform a peer look up from QML if the content type hasn't
          been set yet (350810a)

2015-09-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (05ac974)

2015-08-28 Ken VanDine

        * Fixed crash when the service is passed an invalid type via dbus
          (9261656)

2015-08-28 Robert Ancell

        * Drop unused include that makes build fail unless Qt5Gui pkg-config
          file is used (a711992)

2015-08-21 CI Train Bot

        * Releasing 0.0+15.10.20150821.2-0ubuntu1 (fbeabf6)

2015-08-21 Ken VanDine

        * Don't swallow QEvent::ApplicationDeactivate
          Fixes: #1485222
          Approved by: PS Jenkins bot, Sebastien Bacher, Michael
          Sheldon (2abf3f7)
        * generate plugins.qmltypes
          Fixes: #1483626 Approved by: PS Jenkins
          bot, Michael Sheldon (9c5bd7b)
        * added hasPending property on ContentHub
          Fixes: #1487073 Approved
          by: PS Jenkins bot, Renato Araujo Oliveira Filho (2245b8a)
        * warn when we don't call the handler (31bf9b7)
        * Don't swallow QEvent::ApplicationDeactivate (ffc3d77)
        * mark hasPending as internal (b31b9a6)
        * added docstring for hasPending (9df752a)

2015-08-20 Ken VanDine

        * Added test for has_pending (6969483)
        * added hasPending property on ContentHub (188a0d3)

2015-08-19 Ken VanDine

        * build depend on qtdeclarative5-dev-tools for qmlplugindump
          (456d4b1)
        * generate plugins.qmltypes (715d66c)

2015-08-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (553ece9)

2015-08-13 CI Train Bot

        * Releasing 0.0+15.10.20150813-0ubuntu1 (e1cda36)

2015-08-13 Ken VanDine

        * Fixed property errors in example code
          Fixes: #1484198 Approved by:
          Sebastien Bacher, PS Jenkins bot (4fbd2be)
        * create the local content-hub directory if needed when the hook is
          run
          Fixes: #1484184 Approved by: Didier Roche, Sebastien
          Bacher, PS Jenkins bot (75cb4c9)

2015-08-12 Ken VanDine

        * merged trunk (cd3cf39)
        * merged trunk (8a7b40f)
        * No-change test rebuild for g++5 ABI transition (6770746)
        * Fixed property errors in docs (950794b)
        * create the local content-hub directory if needed when the hook is
          run (95e9ad2)

2015-08-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b31fed0)

2015-07-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9a6b4c4)

2015-07-24 CI Train Bot

        * Releasing 0.0+15.10.20150724-0ubuntu1 (51d5fb8)

2015-07-24 Ken VanDine

        * No change rebuild for ubuntu-download-manager Approved by: PS
          Jenkins bot (4b14a43)

2015-07-23 Ken VanDine

        * No change rebuild for ubuntu-download-manager (60e950e)

2015-07-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8884e49)

2015-07-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8429b2a)

2015-07-03 CI Train Bot

        * Releasing 0.0+15.10.20150703-0ubuntu1 (eaeb49c)

2015-07-03 Ken VanDine

        * Added ContentType.Events;  Added tests for the well known types

          Fixes: #1464244 Approved by: Michael Sheldon, PS Jenkins
          bot (4eec9f2)

2015-07-01 CI Train Bot

        * Releasing 0.0+15.10.20150701-0ubuntu1 (b8cdc0a)

2015-07-01 Renato Araujo Oliveira Filho

        * Fixed header divider color for ContentPeerPicker11.
          Fixes: #1470557
          Approved by: PS Jenkins bot (f077200)
        * Fixed header divider color for ContentPeerPicker11. (ada4d2d)

2015-07-01 Ken VanDine

        * fixed copyright date in new file (931642b)

2015-07-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (04ed80c)

2015-06-29 Ken VanDine

        * merged trunk (10247d2)
        * added tests for well known types (e00c5e1)

2015-06-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (492aa27)

2015-06-24 Ken VanDine

        * Added ContentType.Events (9798659)

2015-06-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4516eb3)

2015-06-19 CI Train Bot

        * Resync trunk. (88d0a59)

2015-06-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e4d6bfc)

2015-06-15 CI Train Bot

        * Releasing 0.0+15.10.20150615.3-0ubuntu1 (a605503)

2015-06-15 Ken VanDine

        * Added support for registering a source or destination as handlers
          for Type::all (caaa0ad)
        * Don't look for default sources for unknown types (e1f1400)
        * Added != operator for cuc::Type and ensure we don't check gsettings
          for unknown (6e3d513)
        * Don't ignore unknown types for source and destinations (010d1e3)
        * Include ContentType::Unknown in the ContentPeerModel (7de578e)

2015-06-10 Ken VanDine

        * Moved Type::Known::all to Type::all, it's not a well known type
          (8d8a97b)
        * Fixed typo (fcce574)

2015-06-08 CI Train Bot

        * Releasing 0.0+15.10.20150608-0ubuntu1 (1f1b5b2)

2015-06-08 Ken VanDine

        * Make the import and share testability peers return 1 if the
          transfer is aborted. Added url-dispatcher autopkgtest.
          Approved by: PS Jenkins bot (881349d)
        * Added support for registering a source or destination as handlers
          for Type::all. (1883a5c)

2015-06-05 Ken VanDine

        * Added autopkgtest to verify that file uris are rejected from
          url-dispatcher (26f35c6)

2015-06-04 Ken VanDine

        * Make the import and share testability peers return 1 if the
          transfer is aborted. Added url-dispatcher autopkgtest.
          (1546ae5)

2015-06-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7cb4f5a)

2015-06-03 CI Train Bot

        * Releasing 0.0+15.10.20150603-0ubuntu1 (29b2ab6)

2015-06-03 Ken VanDine

        * SECURITY UPDATE: file disclosure via unchecked AppArmor profile
            (LP: #1456628)   - Don't allow exporting of files that
          aren't allowed by the source apparmor profile   -
          CVE-2015-1327
          Fixes: #1456628 Approved by: Michael Sheldon
          (f05533c)

2015-06-02 Ken VanDine

        * removed redundant check for unconfined (4cd1f87)

2015-06-01 Ken VanDine

        * dropped needs-recommends from the autopkgtest restrictions
          (4cd4854)
        * Fixes for the autopkgtests running under dbus (5ad0094)
        * Added autopkgtest for testing with the apparmor profile (ad4adea)
        * Added apparmor profile for testing (548613b)

2015-05-29 Ken VanDine

        * Make the testability exporter peer more useful by adding optional
          args for url and profile.  If the profile is included, the
          peer will run under that apparmor profile. (50590aa)
        * Dropped the unit tests for check_profile_read, they aren't very
          useful and don't behave as expected in a chroot (d162820)

2015-05-28 Ken VanDine

        * build depend on libapparmor-dev (1584ecb)

2015-05-27 Ken VanDine

        * better name for bad profile (c5c64dc)
        * Added unit tests for check_profile_read (5e0ad6d)
        * Dropped helper for apparmor check, use the aa_query_label API
          (d11e618)
        * Dropped profile property from cucd::Transfer and make
          cucd::Transfer inherit from QDBusContext to get access to
          message() (bf9c190)

2015-05-26 Ken VanDine

        * Verify the source app has read access to local files being
          transferred (66fe722)

2015-05-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6b44481)

2015-05-18 CI Train Bot

        * Releasing 0.0+15.10.20150518-0ubuntu1 (1b087db)

2015-05-18 Ken VanDine

        * Added url-dispatcher integration.  This allows export and share
          requests to be initiated by opening a url. Approved by: PS
          Jenkins bot, Michael Sheldon (e3ea9b6)

2015-05-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (66417da)

2015-05-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f47900b)

2015-05-15 Ken VanDine

        * Don't support file transfers via url-dispatcher (5d0170d)

2015-05-14 Ken VanDine

        * white space cleanup (0fa9982)
        * Cleaned up appId creation and all text to be set (976701d)

2015-05-13 Ken VanDine

        * merged trunk (be92519)
        * tidy up a bit (16ad2cf)
        * Cleaned up logging to use the same log helper as the service
          (6ef4828)

2015-05-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8fa6175)

2015-05-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f02fccb)

2015-05-04 Ken VanDine

        * merged latest trunk (486e9f5)

2015-04-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (41c6d79)

2015-04-22 CI Train Bot

        * Releasing 0.0+15.04.20150422-0ubuntu1 (025f1b0)

2015-04-22 Ken VanDine

        * Don't use a unicode apostrophe in the docs Approved by: Michael
          Sheldon, PS Jenkins bot (4c47a8c)
        * Fixed qdoc syntax error for the ContentPeerPicker::peerSelected and
          ContentPeerPicker::cancelPressed signals Approved by:
          Michael Sheldon, PS Jenkins bot (f42ad64)
        * Added ContentType.Text as a well known type Added ContentItem.text
          property for serialized content
          Fixes: #1430460 Approved
          by: Michael Sheldon, PS Jenkins bot (8483432)
        * merged trunk (1985830)
        * don't split url-dispatcher handling into a separate package
          (b5e47ec)

2015-04-21 Ken VanDine

        * merged trunk (dccb538)
        * Fixed qdoc syntax error for the ContentPeerPicker::peerSelected and
          ContentPeerPicker::cancelPressed signals (c9bc056)
        * Don't create a new Item to for the copied file, just change the
          url. (44e470c)
        * ensure the ContentItem.text property gets set when copying/linking
          files (a783745)
        * Don't force streamType to x-url when the url is set, this lets a
          link shared include text as well. (6069ee2)

2015-04-20 Ken VanDine

        * hide desktop file (eb4fa3b)
        * Experimental url-dispatcher integration (536466c)

2015-04-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (43635ee)

2015-04-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6f43964)

2015-04-14 Ken VanDine

        * Added more debug output to the test peers (8c015b3)

2015-04-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (564b61a)

2015-04-03 Ken VanDine

        * Updated the importer and exporter examples to demonstrate
          serialized content in the transfer (4280fbc)
        * Don't try to copy files when they aren't needed (ad1c24f)
        * Changed the data property to stream of type QByteArray.;  Added
          streamType property to identify the mime-type of the
          content stored in the stream property.;  Added convienence
          getter/setter for text, which stores a string in stream
          and sets the streamType to "plain/text" (3806e25)

2015-04-02 Ken VanDine

        * merged text_data branch (e9f6028)

2015-03-31 CI Train Bot

        * Releasing 0.0+15.04.20150331-0ubuntu1 (cb8391b)

2015-03-31 Ken VanDine

        * When requesting an import from an unknown peer, abort the transfer.
           This is most likely to occur when requesting the default
          peer for a ContentType that has no default registered.

          Fixes: #1429695 Approved by: Michael Sheldon, PS Jenkins
          bot (ae176a0)

2015-03-30 Ken VanDine

        * merged trunk (c3a6870)

2015-03-27 Ken VanDine

        * Abort transfers requested for unknown peers. (6058192)

2015-03-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e17d44a)

2015-03-19 CI Train Bot

        * Releasing 0.0+15.04.20150319-0ubuntu1 (2841844)

2015-03-19 Ken VanDine

        * Abort transfers when a file already exists matching the requested
          name and ContentStore.
          Fixes: #1429687 Approved by:
          Michael Sheldon, PS Jenkins bot (e1f30b7)

2015-03-18 Ken VanDine

        * use QTemporaryDir to create the store path (1e1f8c4)
        * if any items fail to copy because a file exists, abort (394c059)

2015-03-17 Ken VanDine

        * removed unused include (fcff4a7)
        * Added test for condition where a file already exists in the store,
          it should get aborted (b9b35cc)

2015-03-16 Ken VanDine

        * Abort transfers when a file already exists matching the requested
          name and ContentStore. (77be5da)

2015-03-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3780eba)

2015-03-10 Ken VanDine

        * Added QmlTest for text data transfer (b6472e7)
        * Added ContentItem.data for text contents (d8902d1)
        * Fixed missing Text enum (412ca27)
        * Added ContentItem.Text as a well known type (55a7bb5)

2015-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (17e646c)

2015-02-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2de4167)

2015-02-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1056f67)

2015-02-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (92e8320)

2015-02-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ce9c0f7)

2015-02-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5403a8b)

2015-02-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e110060)

2015-01-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (84e555f)

2015-01-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0174ad4)

2015-01-23 CI Train Bot

        * Releasing 0.0+15.04.20150123-0ubuntu1 (42aabaf)

2015-01-23 Michael Sheldon

        * Use the theme background so that fonts are visible with dark apps

          Fixes: #1384490 Approved by: Ken VanDine, PS Jenkins bot
          (da42641)

2015-01-22 Michael Sheldon

        * Use the theme background so that fonts are visible with dark apps
          (8443d80)

2015-01-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (53b6686)

2014-12-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a7431e6)

2014-12-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2de82bd)

2014-12-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c0204c7)

2014-12-02 CI bot

        * Releasing 0.0+15.04.20141202-0ubuntu1 (a0a15b0)

2014-12-02 Michael Sheldon

        * Handle content peer model loading asynchronously
          Fixes: #1390096
          Approved by: Ken VanDine, PS Jenkins bot (7d9da4a)

2014-12-01 Michael Sheldon

        * Use asynchronous loaders instead of processing events when loading
          a content peer model (daf50b8)

2014-11-26 CI bot

        * Releasing 0.0+15.04.20141126-0ubuntu1 (b92b9ff)

2014-11-26 Ken VanDine

        * Added test peers for automated testing of export, import and
          shares. (6ba51bc)

2014-11-25 Ken VanDine

        * dropped X-Ubuntu-Application-ID from the test peer desktop files
          (10f7e13)
        * Added ebooks to test peers (82ce168)

2014-11-24 Ken VanDine

        * merged trunk (0e66498)

2014-11-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (caffd65)

2014-11-20 CI bot

        * Resync trunk (91dc018)

2014-11-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b56b5f2)

2014-11-20 CI bot

        * Releasing 0.0+15.04.20141120-0ubuntu1 (902ffe9)

2014-11-20 Ken VanDine

        * Fixed conflict with nih-dbus and our own i18n wrapper
          Fixes:
          1394211 Approved by: Michael Sheldon, PS Jenkins bot
          (b6c8ae9)

2014-11-19 Ken VanDine

        * Fixed conflict with nih-dbus and our own i18n wrapper (d030ab4)

2014-11-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d1653f3)

2014-11-18 Ken VanDine

        * merged trunk (bc7dc3d)

2014-11-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6e1c0ee)

2014-11-10 CI bot

        * Releasing 0.0+15.04.20141110-0ubuntu1 (d6b4b4f)

2014-11-10 Michael Sheldon

        * Update click hook wrapper to account for change in dbus-session
          file.
          Fixes: 1390095 Approved by: Ken VanDine, PS Jenkins
          bot, Oliver Grawert (a31d628)
        * Set the caller on the ContentTransferHint dialog to allow it to be
          destroyed safely when its parent is destroyed.
          Fixes:
          1377334 Approved by: Ken VanDine, PS Jenkins bot (9d55e0d)

2014-11-10 Ken VanDine

        * Added EBooks to well known types
          Fixes: 1383732 Approved by:
          Michael Sheldon, PS Jenkins bot (2a70933)

2014-11-10 Michael Sheldon

        * Remove dbus-launch fallback (6d52975)

2014-11-07 Michael Sheldon

        * Use 'id -u' to find userid, as package kit removes UID environment
          variable (395805e)
        * Add dbus-x11 dependency (required for dbus-launch, used by click
          hook wrapper) (7807d7a)
        * Update location of dbus-session file (f0ef2f3)

2014-11-07 Ken VanDine

        * Don't use the unicode apostrophe in the docs (bef017f)

2014-11-03 Ken VanDine

        * Added EBooks to well known types (f4ea2dd)

2014-11-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fed3326)

2014-11-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (74d16fc)

2014-10-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (aa19a02)

2014-10-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cfde938)

2014-10-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (687cb27)

2014-10-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (877e6a5)

2014-10-17 Michael Sheldon

        * Merge from trunk (1708304)

2014-10-17 CI bot

        * Resync trunk (f196b01)

2014-10-17 Michael Sheldon

        * Set caller on ContentTransferHint's dialog so that it can be
          destroyed correctly alongside the parent (4494dbc)

2014-10-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0734d36)

2014-10-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (94a7b32)

2014-10-14 CI bot

        * Releasing 0.0+14.10.20141014-0ubuntu1 (524faa0)

2014-10-14 Michael Sheldon

        * Add support for receiving directories of unzipped files from
          download manager.
          Fixes: 1365993 Approved by: Ken VanDine,
          PS Jenkins bot (02779bd)
        * Merge from trunk (61748ef)

2014-10-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3fe5089)

2014-10-13 CI bot

        * Resync trunk (78fa1a3)

2014-10-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ed8cc0d)

2014-10-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4c20311)

2014-10-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (56efac9)

2014-10-10 CI bot

        * Releasing 0.0+14.10.20141010-0ubuntu1 (09ad2d7)

2014-10-10 Sebastien Bacher

        * Include missing sources in the translation template, use the custom
          rule to update it and load the translations from the
          correct domain Approved by: Ken VanDine (f3ec10c)
        * don't copy back the pot, it's not needed (0c1ca4f)
        * it's building out of srcdir (bef2837)
        * Load the translations from the content-hub domain (17274f6)
        * run custom template update command (e33ff17)
        * Update the list of files to translate (96c1cbd)

2014-10-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1003b81)

2014-10-09 Michael Sheldon

        * Merge from trunk (8a535d7)

2014-10-09 CI bot

        * Releasing 0.0+14.10.20141009-0ubuntu1 (eaac150)

2014-10-09 Michael Sheldon

        * Fix packaging for translations. Approved by: Ken VanDine, PS
          Jenkins bot (c77d009)

2014-10-09 Ken VanDine

        * Fall back to a copy if move fails
          Fixes: 1373086 Approved by:
          Andrew Hayzen, PS Jenkins bot, Michael Sheldon (497b4db)

2014-10-09 Michael Sheldon

        * Include .mo files in packaging (69ddeae)
        * Include .mo files in packaging (16ca795)
        * Merge from trunk (37371a2)

2014-10-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3c88506)

2014-10-08 Ken VanDine

        * merged trunk (4be3733)

2014-10-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (298ab68)

2014-10-07 Ken VanDine

        * Fall back to a copy if move fails (a2d4a66)

2014-10-07 CI bot

        * Releasing 0.0+14.10.20141007-0ubuntu1 (f040172)

2014-10-07 Sebastien Bacher

        * use X-Ubuntu-Use-Langpack so translations are imported
          Fixes:
          1378324 Approved by: Ken VanDine, PS Jenkins bot (dbd24e6)

2014-09-29 Sebastien Bacher

        * use X-Ubuntu-Use-Langpack so translations are imported (f5400ed)

2014-09-26 Michael Sheldon

        * Allow download manager to send us the path to a directory
          containing unzipped files and add the contents to a
          content transfer (32ad097)

2014-09-19 CI bot

        * Releasing 0.0+14.10.20140919-0ubuntu1 (3b6e9aa)

2014-09-19 Ken VanDine

        * Fixed handling of translated strings from
          g_app_info_get_display_name (LP: #1368770)
          Fixes: 1368770
          Approved by: Michael Sheldon, PS Jenkins bot (51e889d)

2014-09-18 Ken VanDine

        * Fixed handling of translated strings from
          g_app_info_get_display_name (LP: #1368770) (9a314e2)

2014-09-15 CI bot

        * Releasing 0.0+14.10.20140915-0ubuntu1 (f81159c)

2014-09-15 Ken VanDine

        * Improved uncreatable message for ContentTransfer (05b05c3)
        * Build with dh_translations (LP: #1359166)
          Fixes: 1359166 Approved
          by: Sebastien Bacher, PS Jenkins bot (377024b)

2014-09-14 Ken VanDine

        * Build with dh_translations (LP: #1359166) (fb26e95)

2014-09-03 Ken VanDine

        * Imported uncreatable message for ContentTransfer (b14702e)

2014-08-28 CI bot

        * Releasing 0.0+14.10.20140828-0ubuntu1 (fc21475)

2014-08-28 Michael Sheldon

        * Expose the source and destination app IDs on transfers. Approved
          by: Ken VanDine, PS Jenkins bot (5e9a8b2)

2014-08-27 Michael Sheldon

        * Expose source and destination properties for transfers (fe12d77)

2014-08-15 CI bot

        * Releasing 0.0+14.10.20140815-0ubuntu1 (d64b35d)

2014-08-15 Michael Sheldon

        * Add a cancel button to the ContentTransferHint. Approved by: PS
          Jenkins bot (32de709)

2014-08-14 Michael Sheldon

        * Fix translation infrastructure to extract strings from both QML and
          CPP code and update POT file (b189db5)

2014-08-13 Michael Sheldon

        * Add 'Transfer in progress' title to ContentTransferHint dialog
          (6b82c86)

2014-08-08 Ken VanDine

        * cleaned up changelog (2c68606)
        * merged trunk (5e7dea1)

2014-08-08 Michael Sheldon

        * Merge from trunk (5ecb226)

2014-08-07 Ken VanDine

        * register the sharer and importer for all types (c09d50a)
        * include the importer in the build (e00f3ee)
        * Added auto importer test peer (fbdd85f)
        * Added icons for the test peers (0620cf2)
        * [content-hub-test-exporter]  * added export for contacts (b8c070c)
        * merged add_type_to_transfer branch (20c9cb7)
        * merged trunk (c18cfcd)

2014-08-07 Michael Sheldon

        * Add cancel button to ContentTransferHint (610d73b)
        * Merge from trunk (02b1e5f)

2014-08-06 CI bot

        * Releasing 0.0+14.10.20140806.2-0ubuntu1 (26c23c1)

2014-08-06 Ken VanDine

        * Add contentType property to Transfer Approved by: Michael Sheldon
          (609bb99)
        * Added test for transfer::contentType (100690a)

2014-08-05 Ken VanDine

        * Added Videos and Links to All;  Check for duplicates when looking
          for All peers (a40f04f)
        * cleaned up white space and docstrings (54ca031)

2014-08-04 Ken VanDine

        * Added support for contentType property on ContentTransfer (443dc8d)
        * Allow optional setting of contentType on the transfer object
          (f2b0d86)
        * Added type property to the backend Transfer object, exposes the
          ContentType.Id (486b678)

2014-08-01 CI bot

        * Releasing 0.0+14.10.20140801.4-0ubuntu1 (5e7df69)

2014-08-01 Ken VanDine

        * Renamed the binary package for the qml module to
          qtdeclarative5-ubuntu-content1 to reflect support for API
          version 1.x instead of 0.1 Approved by: Sebastien Bacher,
          PS Jenkins bot (c4c5ddf)

2014-08-01 Michael Sheldon

        * Make the ContentPeerPicker's header text customisable and replace
          the bottom cancel button with new header style cancel.
          Approved by: Ken VanDine, PS Jenkins bot (1fadea8)
        * Ignore unused function warnings (new in g++ 4.9), as utils.cpp
          defines a number of static functions that may not be used
          everywhere. Approved by: Ken VanDine, PS Jenkins bot
          (b7f0c48)
        * Transfer entire content Item objects over dbus, instead of just
          their URL component. Adds name property to C++ backend and
          connects to existing QML property. Approved by: Ken
          VanDine, PS Jenkins bot (631b151)
        * Remove the Ubuntu shape from the save icon in the download snap
          decision.
          Fixes: 1350281 Approved by: Ken VanDine, PS
          Jenkins bot (15c9d41)

2014-08-01 Ken VanDine

        * Don't install plugin in a versioned dir, it provides 0.x and 1.x
          (7147476)

2014-08-01 Michael Sheldon

        * Ignore unused function warnings (new in g++ 4.9), as utils.cpp
          defines a number of static functions that may not be used
          everywhere (4c379bf)

2014-07-23 Ken VanDine

        * Added versions for breaks and replaces (eaa32fc)
        * Added Breaks too (4b9a001)

2014-07-23 Michael Sheldon

        * Use non-shaped icon for download snap decision (2298ca5)

2014-07-22 Ken VanDine

        * Renamed the binary package for the qml module to
          qtdeclarative5-ubuntu-content1 to reflect support for API
          version 1.x instead of 0.1 (39dbaab)

2014-07-22 Michael Sheldon

        * Fix documentation for separate versions of ContentPeerPicker
          (d2b3185)

2014-07-21 Michael Sheldon

        * Separate new ContentPeerPicker into new QML API version and
          duplicate existing 0.1 elements as 1.0 (ab72c7c)
        * Replace bottom cancel button with new header style cancel button
          (0618095)
        * Make peer picker's header text customisable (5829997)

2014-07-15 Michael Sheldon

        * Register Item with dbus in Service object constructor (fca9dd2)
        * Update tests to set names on items (377d881)
        * Include name in content item comparison (5bda377)

2014-07-14 Ken VanDine

        * include some test images to transfer in the autoexporter (1f1cfc7)

2014-07-14 Michael Sheldon

        * Merge from trunk (8e07df5)
        * Transfer content item objects via dbus instead of just their URLs
          and connect QML name property to backend (0ea02bc)

2014-07-10 CI bot

        * Releasing 0.0+14.10.20140710-0ubuntu1 (21341d5)

2014-07-10 Ken VanDine

        * Added ContentItem.move function to allow pure QML apps to relocate
          local files collected. Approved by: Andrew Hayzen, PS
          Jenkins bot (136c26c)
        * Added new binary content-hub-testability which provides files and
          utilities for automated testing of content-hub (3a2ded0)
        * merged trunk (84e839c)
        * Added optional arg to ContentItem.move to allow renaming the file
          as well as moving it. (90e36fb)

2014-07-09 CI bot

        * Releasing 0.0+14.10.20140709-0ubuntu1 (89e08e4)

2014-07-09 Michael Sheldon

        * Don't make the peer picker explicitly invisible, provide a
          background for the peer picker and anchor the bottom of
          the app view appropriately rather than calculating height.
          Approved by: PS Jenkins bot, Ken VanDine (3e27929)
        * Don't close/switch applications after an export has been finalized.
          Approved by: PS Jenkins bot, Ken VanDine (08787b7)

2014-07-09 Ken VanDine

        * Added ContentItem.move function to allow pure QML apps to relocate
          local files collected. (a16d27b)

2014-07-09 Michael Sheldon

        * Anchor apps view to appropriate components (7aa8e03)
        * Don't make peer picker explicitly invisible (454dee4)
        * Add background to peer picker (ea6d5d8)

2014-07-07 Michael Sheldon

        * Merge from trunk (566f086)
        * Don't close/switch applications after an export has been finalized
          (61fd3ca)

2014-07-04 CI bot

        * Releasing 0.0+14.10.20140704-0ubuntu1 (0f58c45)

2014-07-04 Michael Sheldon

        * Update theme used for resolving system icons (e.g. as used by
          Debian packages) to use "suru" theme. (d8f361f)
        * Update theme used for resolving system icons (e.g. those used by
          debian packages) (adab5b8)

2014-07-03 CI bot

        * Releasing 0.0+14.10.20140703-0ubuntu1 (cd3a7a5)

2014-07-03 Michael Sheldon

        * Add Debian friendly locations to content-hub-peer-hooks search
          locations (ee73dca)

2014-06-25 Michael Sheldon

        * Search /usr/share/content-hub/peers/ and
          /usr/share/local/content-hub/peers/ for potential peer
          description files in addition to the
          ~/.local/share/content-hub/ to allow debian packages to
          install their files (6c559a0)

2014-06-18 CI bot

        * Releasing 0.0+14.10.20140618-0ubuntu1 (35a65cd)

2014-06-18 Ken VanDine

        * Added toDataURI to ContentItem (bae5a5f)
        * Don't abort downloads that haven't been charged yet when a new
          transfer is created. This will leave multiple transfers
          from downloads which haven't been charged remain in
          active_transfers until they have been charged. (LP:
          #1326535) (1245076)
        * Added objectName to the cancel button in the ContentPeerPicker,
          it'll be useful for autopilot tests. (1f41ae8)
        * added docstring for toDataURI (0c6a47e)

2014-06-17 Ken VanDine

        * fixed isEmpty check in ContentItem.toDataURI (9cbfc49)

2014-06-10 Ken VanDine

        * Added some error handling to ContentItem.toDataUri (57767bb)
        * merged latest trunk (9576ff9)

2014-06-09 Ken VanDine

        * Don't abort downloads that haven't been charged yet when a new
          transfer is created.  This will leave multuple transfers
          from downloads which haven't been charged remain in
          active_transfers until they have been charged. (LP:
          #1326535) (e7ed231)

2014-06-05 Ken VanDine

        * Make cancel button text translatable (35039d3)
        * Added objectName to the cancel button in the ContentPeerPicker,
          it'll be useful in autopilot tests. (02a19ff)

2014-06-04 CI bot

        * Releasing 0.0+14.10.20140604-0ubuntu1 (e59ae64)

2014-06-04 Michael Sheldon

        * Show a message in the peer picker when no apps are available for
          the specified content type. (da76834)

2014-06-04 Ken VanDine

        * Added new well known types for videos and links.  Set gallery as
          default for videos. (24e143a)
        * Use an EventFilter to get ApplicationActivate events, to notify the
          service when a handler gains focus. This is useful to
          charge completed downloads that have been dismissed in the
          snap decision. (1208922)
        * Add a wrapper for the click hook to ensure the dbus session is
          properly exported (LP: #1324969)
          Fixes: 1324969 (d94f444)
        * Check for completed downloads when an import handler is registered,
          charge if necessary.  This will trigger an import for
          completed downloads that might have been dismissed in the
          notification. (0eeda8c)

2014-06-04 Michael Sheldon

        * Display errors reported by download manager as notifications
          (904e784)

2014-06-03 Ken VanDine

        * ensure we delete the Hook and Registry to make sure the QGSettings
          destructor gets called. (ae3b9dc)

2014-06-02 Ken VanDine

        * fixed install target for hook wrapper (75aefbc)
        * Add a wrapper for the click hook to ensure the dbus session is
          properly exported (LP: #1324969) (4498ce8)

2014-06-01 CI bot

        * Releasing 0.0+14.10.20140601-0ubuntu1 (0402c81)

2014-06-01 Ted Gould

        * Name change for UAL (627683d)

2014-05-30 Ken VanDine

        * removed unneeded include for QGuiApplication (6c1c55c)
        * the eventFilter will work as long as qApp exists, so we don't need
          to check for QApplication (613d4ba)
        * Use and eventFilter instead of listening for
          applicationStatusChanged, the status never gets set to
          hidden or suspended on the device. (ea7fc6d)
        * charge downloaded transfers when app becomes active (0d52581)
        * merged the charge-downloaded branch (17e37e9)
        * If qApp is a QApplication, connect to applicateStateChanged signal
          in the hub instance to tell the service when the
          application becomes active. (b38f291)

2014-05-28 Michael Sheldon

        * Remove unused header include (d4beed6)
        * Remove unnecessary entry in POTFILES.in (1556075)

2014-05-27 Michael Sheldon

        * Update translatable strings (9b1350c)
        * Show message when no apps are available that handle the requested
          content type (17e57d1)

2014-05-26 Ted Gould

        * Name change for UAL (7deafea)

2014-05-23 Ken VanDine

        * Remove qDebug (b59d7b8)
        * added toDataURI to ContentItem (e37f011)

2014-05-22 Ken VanDine

        * merged trunk (3117112)

2014-05-22 Michael Sheldon

        * Display errors from download manager via a notification (748a6d4)

2014-05-22 Ken VanDine

        * Added gsettings schema for new types and set gallery as default
          destination for videos (268d44c)
        * Check for completed downloads when an import handler is registered,
          charge if necessary.  This will trigger an import for
          completed downloads that might have been dismissed in the
          notification. (3f650ae)

2014-05-21 Ken VanDine

        * Added videos and links well known types (6cfa26a)

2014-05-21 CI bot

        * Releasing 0.0+14.10.20140521.1-0ubuntu1 (402a200)

2014-05-21 Michael Sheldon

        * Remove aliases for GridView properties that no longer exist.
          (8a12860)

2014-05-21 Ken VanDine

        * reorder virtual functions added with download support, to fix abi
          compatibility.
          Fixes: 1321304 (363143a)

2014-05-21 Michael Sheldon

        * Remove aliases for removed gridview properties (b8693b0)

2014-05-21 Ken VanDine

        * reorder virtual functions added with download support, to fix abi
          compatibility. (38e3631)

2014-05-15 CI bot

        * Releasing 0.0+14.10.20140515.1-0ubuntu1 (3ec3769)

2014-05-15 Ken VanDine

        * Use libnotify to send a snap decision with an Open action for
          downloads. Added translation support, needed for the
          strings in the notification. (3304ced)

2014-05-05 Ken VanDine

        * Updated pot file to drop "Save" from the translated string.
          (96bb321)
        * Fixed creation of the snap decision, needs to specify the "save"
          icon. (f7e0569)

2014-05-01 Ken VanDine

        * Make strings used in the snap decision translatable (3050890)

2014-04-30 Ken VanDine

        * Merged latest changes (f84792c)
        * Merged latest trunk (69f7079)

2014-04-30 Michael Sheldon

        * Merge from trunk (47fc1cb)

2014-04-15 CI bot

        * Releasing 0.0+14.04.20140415-0ubuntu1 (8835b62)

2014-04-15 Michael Sheldon

        * Excludes ResponsiveGridView from documentation creation and
          provides additional summaries for QML components.
          (0406f17)
        * Fixes the clipping setting on the ResponsiveGridView when being
          used with dynamically loaded ContentPeerModels. (01eedf4)

2014-04-14 Ricardo Salveti de Araujo

        * releasing package content-hub version 0.0+14.04.20140402-0ubuntu2
          (cc3650e)

2014-04-10 Michael Sheldon

        * Add summaries to all qml components (4a3aec4)
        * Exclude ResponsiveGridView.qml from qdoc generation (dff416c)

2014-04-08 Michael Sheldon

        * Modify ResponsiveGridView to handle dynamically loaded models
          (86becc7)

2014-04-08 Ken VanDine

        * merged snap decision fixes from Michael Sheldon (d915575)

2014-04-07 Michael Sheldon

        * Add save icon to snap decision (79aafc7)
        * Apply styling to snap decision button (36ce9da)
        * Make snap decision notification compatible with unity8 (887f2a6)

2014-04-03 Ken VanDine

        * Use libnotify to send a snap decision with an Open action for
          downloads. (e4b9e94)

2014-04-03 Michael Sheldon

        * Update to match new download-manager API (0f97eca)
        * Merge from trunk (dd403f5)
        * Add 'Downloading' and 'Downloaded' states and use these when
          performing download operations instead of 'Charged'
          (1c9e112)

2014-04-02 CI bot

        * Releasing 0.0+14.04.20140402-0ubuntu1 (68a50f3)

2014-04-02 Michael Sheldon

        * Fixes version number of import statements in QML documentation.
          (4881dcb)

2014-04-02 Ken VanDine

        *   ContentPeerPicker: Make headers translatable and use a
          ResponsiveGridView   for the devices grid to match the
          apps grid. (094facb)
        * Ensure m_defaultSources is a StringList before attempting to use it
          as a list (9c27ea1)
        * Don't unref the g_icon, the value belongs to app (389cb78)

2014-04-02 Michael Sheldon

        * Make qdoc based documentation compatible with the Qt 5.2 version of
          qdoc. (78e52b1)

2014-04-02 Ken VanDine

        * Replace a couple missed qDebug lines for logging (4895b17)

2014-04-02 Michael Sheldon

        * Fixes updating of the ContentPeerModel when using Loader and
          changing ContentType or ContentHandler dynamically and
          ensures that ContentPeerModel Loader doesn't begin loading
          the model until the peer picker becomes visible (avoiding
          delaying app start-up time). (e2fa1c7)

2014-04-02 Ken VanDine

        *   protect against queries for Type::unknown
          Fixes: 1293463
          (4867ee3)

2014-04-02 Dimitri John Ledkov

        * Exit quicker, if there is nothing to do. (LP: #1287674)
          Fixes:
          1287674 (70f80db)

2014-04-02 Loïc Minier

        * Downgrade content-hub Recommends to a Suggests as we don't want
          content-hub pulled via ubuntu-sdk on developer desktops.
          (40274d6)

2014-04-02 Javier Collado

        * Added README file
          Fixes: 1274899 (dd7dcf1)

2014-04-02 Michael Sheldon

        * Fix import statements in documentation (qdoc now ignores any
          version specified with \inqmlmodule in favour of the
          version given by \qmlmodule) (5d2624c)
        * Fix typo in documentation example (621969f)

2014-04-01 Michael Sheldon

        * Integrate with download manager (2e8e9fd)

2014-03-31 Dimitri John Ledkov

        * Fix FTBFS (6a92ce9)

2014-03-31 Ken VanDine

        * ContentPeerPicker: hide the devices section until we have a way to
          populate it (a16780d)
        * ContentPeerPicker: Make headers translatable and use a
          ResponsiveGridView for the devices grid to match the apps
          grid. (a0abf3f)

2014-03-31 Dimitri John Ledkov

        * Merge trunk (9d42bc5)

2014-03-31 Ken VanDine

        * merged speed-up-no-op branch from xnox (830ad00)

2014-03-28 Michael Sheldon

        * Merge from loader_fixes (3d495ee)

2014-03-27 Ken VanDine

        * Ensure m_defaultSources is a StringList before attempting to use it
          as a list (b285f83)
        * Don't list defaults on startup (0a9075f)
        * Don't unref the g_icon, the value belongs to app (37c621e)

2014-03-27 Michael Sheldon

        * Merge from trunk (301ce66)
        * Use relative paths for qdoc generation (qdoc in Qt 5.2 currently
          fails with absolute paths) (b68283a)

2014-03-26 Michael Sheldon

        * Make it possible to set a download id from download manager on a
          ContentTransfer (37c285b)
        * Change 'Export to' header to 'Open with' (ae00f48)
        * Process findPeers immediately upon component completion, rather
          than adding it to the end of the event queue (5b8ffa8)

2014-03-24 Ken VanDine

        * Fixed a qDebug statement that was missed in the criss-cross merges
          (881ac9c)

2014-03-24 Michael Sheldon

        * Merge from trunk (27f13ca)
        * Don't query for unknown type when fetching all content types
          (d11e86f)

2014-03-23 Michael Sheldon

        * Don't reload peer list if handler and contentType haven't changed
          (4e65dae)
        * Clear grid view when changing properties (e2bba6e)

2014-03-22 Michael Sheldon

        * Update properties on peer model loader and ensure loading doesn't
          start until the page becomes visible (854b552)

2014-03-21 Ken VanDine

        * protect against queries for Type::unknown (09883aa)

2014-03-21 CI bot

        * Releasing 0.0+14.04.20140321-0ubuntu1 (765bc55)

2014-03-21 Ken VanDine

        * If the default source is set to anything other than a click appId
          triplet, fallback to the legacy APP_ID. (8df8d75)
        * If the transfer isn't persistent, attempt to hardlink instead of
          copying.  If the link fails, fallback to a copy. (f6056ef)
        * Make debugging output optional based on CONTENT_HUB_LOGGING_LEVEL
          env variable. (93dd9e7)
        * Adds support for multiple handler types: source, destination and
          share. (860731f)

2014-03-20 Ken VanDine

        * merged fix_pending_check (ae838de)
        * merged (26a7c48)
        * merged (e4e617d)
        * merged peer_picker_ui (cf38e99)
        * merged peer_details branch (fcabbf3)
        * merged more_handlers branch (3dc6462)

2014-03-20 Michael Sheldon

        * Update documentation (c435fad)
        * Add documentation to ContentTransferHint and ContentPeerPicker
          elements (bf59784)

2014-03-19 Ken VanDine

        * merged trunk (53a6b6d)
        * merged trunk (c5414e1)
        * merged trunk (f5f740d)
        * merged trunk (63166fc)
        * merged trunk (a2cd328)

2014-03-19 Michael Sheldon

        * Merge changes from trunk (b6251e5)

2014-03-18 Ken VanDine

        * merged fix_pending_check branch (e545904)
        * merged latest hardlink_and_fallback_to_copy branch (8d72b8e)
        *  merged from peer_picker_ui_quiet_logging (05c878d)
        * merged  from latest peer_picker_ui_quiet_logging branch (3583cad)
        * merged from latest peer_picker_ui branch (82e4a0c)
        * Fixed checking for pending transfers during abort (7b65e62)

2014-03-18 Michael Sheldon

        * Make it possible to use an external ContentPeerModel in the
          ContentPeerPicker via a Loader (8cc13d6)

2014-03-17 Michael Sheldon

        * Use ResponsiveGridView to better mimic icon display from the
          launcher (f07a789)
        * Rename defaultPeer to isDefaultPeer (c0e92cb)
        * Remove unnecessary timers (93417e4)
        * Make ContentPeer's setContentType method behave in a more expected
          way when not being used declaratively (55c9f4e)

2014-03-16 Michael Sheldon

        * Make peer picker icons match launcher icons more closely (5d443cd)
        * Make picker example more complete (eeb8877)

2014-03-15 Michael Sheldon

        * Remove default peer testing statement (be6c02e)
        * Merge changes from signal-find-peer-completion (fd6c7da)

2014-03-15 Alexandre Abreu

        * remove additional sethandler (305f14b)

2014-03-14 Alexandre Abreu

        * add fixes (96d36c5)
        * add small check (242d7ce)
        * add signal when the peer search has been completed in the peermodel
          (8f69f79)

2014-03-14 Michael Sheldon

        * Fix overwritten export example (410e8f7)

2014-03-14 Ken VanDine

        * changed default source for contacts to the legacy APP_ID for
          address-book-app (b980832)
        * If the default source is set to anything other than a click appId
          triplet, fallback to the legacy APP_ID. (b1cea8e)

2014-03-14 Michael Sheldon

        * Add defaultPeer property to show if a peer is the default for the
          requested type (2d4e1fe)
        * Remove icon property from peer (replaced with iconData property)
          (9f8166d)

2014-03-13 Michael Sheldon

        * Merge from peer_details (5b5623a)
        * Merge changes from more_handlers (61a140c)
        * Send unprocessed icon file contents over dbus to avoid conversions
          for non-png icons (f8c6c8c)

2014-03-13 Ken VanDine

        * Cherry picked from Michael Sheldon's peer_picker_ui branch, set the
          address-book-app as the default source for contacts.
          (cce41b6)
        * merged latest more_handlers branch (61f4577)
        * cherry picked fix for pkg-config file from Michael Sheldon's
          peer_picker_ui branch (d944266)
        * ensure we only return peers from the default settings if it isn't
          empty (9cde15f)
        * uncomment out connection for onExportRequested in the app-exporter
          example (e0313f8)

2014-03-12 Michael Sheldon

        * Set address book as default source for contacts (d9f3a07)

2014-03-11 Michael Sheldon

        * Don't repeat default peers (72edcdc)
        * Merge from peer_picker_ui_updated (4b6d40e)

2014-03-10 Ken VanDine

        * If the transfer isn't persistent, attempt to hardlink instead of
          copying.  If the link fails, fallback to a copy.  This is
          still a work in progress, and shouldn't be used without
          updating the apparmor policy for content_exchange to deny
          write access to HubIncoming.  Something like this:
          (1852736)

2014-03-07 Ken VanDine

        * Merge qml-test fixes (839f557)
        * Merged (3861226)
        * test fixes to match qml API changes (a66423d)
        * merged from peer_details branch (d13bdb3)
        * removed commented out code (630875d)
        * merged from more_handlers branch (b5dc15e)
        * Clean up (0dbf738)
        * Removed the untrusted helper, it isn't used (3e63636)

2014-03-07 Michael Sheldon

        * Don't perform unnecessary peer look ups whilst still populating
          ContentPeerModel's properties (252c16a)
        * Only show valid peers (c4dc4db)
        * Merge from peer_details (e8241ae)

2014-03-07 Ken VanDine

        * merged latest trunk (f9d4583)
        * merged trunk (04ee34c)

2014-03-07 Michael Sheldon

        * Load peers after UI is visible and process UI events whilst loading
          (a04c61f)

2014-03-07 Dimitri John Ledkov

        * Merge trunk (408c96a)
        * invert comparison (7d03c8e)

2014-03-07 Michael Sheldon

        * Fix pkg-config data (7fee4c3)

2014-03-07 CI bot

        * Releasing 0.0+14.04.20140307-0ubuntu1 (e23242c)
        * No change rebuild against Qt 5.2.1. (4493d37)

2014-03-06 Ken VanDine

        * Fixes for the merged changes to defaults (f82e89a)
        * Added Type::Known::contacts. Note: there is no associated default
            store for contacts under any scope. Data for contacts
          doesn't   persist.;  Changed defaults to a triplet used to
          build the appid. Bumped build   depends for
          libupstart-app-launch2-dev needed for converting the
          triplet to an appid. (0d0bf32)

2014-03-06 CI bot

        * Releasing 0.0+14.04.20140306-0ubuntu1 (aa902a0)

2014-03-06 Ken VanDine

        * Changed defaults to a triplet used to build the appid. Bumped build
          depends for libupstart-app-launch2-dev needed for
          converting the triplet to an appid. (b8f545d)
        * merged peer_picker_ui branch (c87e1b7)

2014-03-06 Michael Sheldon

        * Show default peers first in ContentPeerModel (43fc2c3)

2014-03-05 Ken VanDine

        * added missing include (6b31911)
        * Added logging setup to the hook too (d593357)
        * releasing ppa version (765c61c)

2014-03-05 Michael Sheldon

        * Add haptic feedback when selecting a peer (1195b8e)
        * Add cancel button to ContentPeerPicker (3ace1dc)

2014-03-04 Ken VanDine

        * Clean up critical output (99f0ba7)
        * Borrow some logging logic from signon-ui, quiets down all the debug
          output. You can get more debug output by setting
          CONTENT_HUB_LOGGING_LEVEL=2 (577d782)
        * Support for more handler types, including sharing;  Marshal peer
          details like name and icon from the service, so confined
          apps   can show them.;  Improved QML bindings;  New
          ContentPeerPicker QML component (77f9754)
        * merged peer_details branch (ccd379b)
        * merged more_handlers branch (6908786)
        * Don't return peers with type unknown (2d8b04c)
        * Ensure default sources are also registered as available sources
          (0eab3bb)
        * added a convience function to list known types (4199397)

2014-03-04 Dimitri John Ledkov

        * Exit quicker, if there is nothing to do. (LP: #1287674) (9c2b30c)

2014-03-04 Michael Sheldon

        * Fix overflow from flickable when displaying a large number of
          peers, tweak spacing (e365571)
        * Convert ContentPeerPicker to being a StyleItem for more flexible
          embedding and make the title optional (16e4f81)

2014-02-28 Michael Sheldon

        * Merge from Ken's peer_picker_ui branch (cbd46a8)
        * Bring peer picker UI closer to design appearance (fc9b3e4)

2014-02-27 Ken VanDine

        * ContentPeer.request should get the ContentTransfer from ContentHub,
          to ensure the ContentHub instance is keeping track of
          active transfers, needed to match the transfer to the
          registered ImportExportHandler. (f71aaf3)
        * Theme lookups fail in confined apps without setting the themeName
          and themeSearchPath, set those when the plugin loads.
          (d58f145)
        * merged latest peer_details branch (c356df4)
        * load the themed icon from iconName if icon is NULL (316173d)
        * Added iconName to Peer to handle themed icons, the qml bindings
          will load the icon from the iconName if icon is NULL.
          (81e3c1a)
        * rename params to be clearer (aacefc8)

2014-02-27 Michael Sheldon

        * Merge from new_qml_api branch (adfcfe2)
        * Give ContentPeerModel the ability to display peers for all
          ContentTypes (39c72a8)
        * Merge from new_qml_api (d0b3d7a)
        * Change the usage of ContentStore to allow it to be set when
          creating a request instead of as a property of a peer
          (75db657)

2014-02-26 Michael Sheldon

        * Improve grid spacing in ContentPeerPicker (655c910)
        * Add ContentPeerPicker to qmldir definitions (fd09dab)
        * Add image provider to display peer icons in QML (5445aaa)

2014-02-25 Ken VanDine

        * expose icons for share and destinations (7651d2e)

2014-02-25 Michael Sheldon

        * Merge peer_details branch (cbe2cdb)

2014-02-25 Ken VanDine

        * Added icon property to Peer and provide it from the hub to allow
          access from confined apps (8e66879)

2014-02-25 Michael Sheldon

        * Merge recent changes from new_qml_api (7264aae)
        * Add rough implementation of ContentPeerPicker UI component
          (1537914)
        * Remove old API functions (d494aac)
        * Update button labels in documentation to reflect what they really
          do (e445b3b)
        * Update ContentHub documentation to give new API example (4432900)
        * Add ContentPeer, ContentPeerModel and ContentStore as top level
          documentation items (7827abf)
        * Stop buttons in example overlapping (81ca14c)
        * Make documentation indents more consistent (00f1350)
        * Only set a valid store on transfer objects (c25343d)

2014-02-24 Michael Sheldon

        * Make use of store property when its set, and ensure it gets updated
          to reflect changes in scope/content type (8a387fa)
        * Use enums more consistently in QML bindings (868aa06)
        * Make it possible to set the selection type declaratively on a
          ContentPeer (5262915)
        * Update picture import example in documentation to new QML API
          (7a129f0)
        * Fix indentation in app-exporter example (0f03e27)
        * Don't override the peer if an appId has been set explicitly
          (3a957d6)
        * Create correct transfer type based on handler property (f75d6f6)
        * Set transfer state in app-exporter example (83adc5e)

2014-02-21 Ken VanDine

        * Marshal the Peer over DBus (6fbc07d)
        * Register cuc::Peer so it can be used over DBus (ed1d8a8)

2014-02-21 Loïc Minier

        * Downgrade content-hub Recommends to a Suggests as we don't want
          content-hub pulled via ubuntu-sdk on developer desktops.
          (b9e7f1e)

2014-02-21 Michael Sheldon

        * Update app-exporter example to handle minor changes in new QML API
          (388b54c)
        * Remove extra } in export example (0a92968)
        * Update import example to include minor changes in new API (941d312)
        * Merge new QML examples from qml_api_ideas (6c369b8)
        * Add scope property to ContentStore (3d10c37)
        * Remove duplicate semi-colon (2822379)
        * Add store property to ContentPeer (7cbe0a8)
        * Add ContentScope enum (f45c018)
        * Reset to default peer when content type is changed (f5f9763)
        * Add ability to request a transfer directly from ContentPeer
          (7bf84c4)
        * Add contentType property to ContentPeer (f70f127)
        * Rename ContentPeerModel's type property to contentType (380ab5e)

2014-02-20 Ken VanDine

        * fixed up the enumeration of peers to handle more types (51a01fb)

2014-02-20 Michael Sheldon

        * Merge from more_handlers branch (91532e7)

2014-02-20 Ken VanDine

        * added install_destination_for_type and install_share_for_type
          (40a1f94)
        * Added gsettings schema for tracking destination and share peers
          (cb9d3af)
        * Simplified the source installation (ab5aba3)
        * Make the Hook class a friend so the click hook can better handle
          install for types (939f197)
        * renamed tests to match the s/peers/sources/ rename (b7126ea)
        * Rename all functions referring to sources as peers.  This is
          necessary to handle other peer types, such as destination
          and share. (046c4f5)
        * Fixed logic in determining if there are transfers waiting when the
          handler registers. (ac81a57)

2014-02-20 Michael Sheldon

        * Add handler property to ContentPeer (1e4d5ff)
        * Add ContentHandler enums to QML API (65d2bf2)
        * Add ContentPeerModel (18e3b39)
        * Merge from more_hanlders (69ed07b)
        * Add ContentPeerModel to QML API (91b739b)
        * Enable declarative creation of ContentStore (2948681)
        * Rename ContentImportHint to ContentTransferHint (27c5a2e)

2014-02-19 Ken VanDine

        * Fix up share flow in the qml bindings (2b896c0)
        * shares need start too (497cfaf)
        * refactored a bit to reduce duplicated code (a55cdcd)
        * Added Direction property to the transfer object and use it for
          determining which handlers to call (5786366)
        * WIP export and share (3851607)

2014-02-14 Ken VanDine

        * added a FIXME for differentiating between an import or share on
          handler registration (83aad8a)
        * WIP implementation of the QML bindings for export and share
          (c5f5d6f)
        * hook up more of the plumbing for export and share (8ae5ef4)

2014-02-13 Ken VanDine

        * added share creation and hooked up the transfers (82a9a4e)
        * added support fore creating an export (1a2ab75)
        * Removed unused InstanceId tracking and UriHandler (6c4f112)
        * Added tests to verify there is only a single transfer active at a
          time for any peer.  If a second transfer is requested from
          a peer with an active transfer, the previous transfer is
          aborted. (38df1ef)

2014-02-12 Ken VanDine

        * added examples based on a potential future QML API (f523ccf)
        * added examples based on a potential future QML API (bb02bac)

2014-02-12 Javier Collado

        * Added suggestions from Ken (7c62870)

2014-02-10 Ken VanDine

        * dropped the UriHandler and ensure transfers are unique to the
          handler in the service (056baab)

2014-02-06 Ken VanDine

        * cancel existing transfers when a new one is created (b732066)

2014-02-05 Ken VanDine

        * Added UCUriHandler to get signals for app opening (1380375)

2014-02-04 Ken VanDine

        * Added WasSourceStartedByContentHub back (a20138d)
        * pass path with ual (1bee23d)

2014-02-03 Ken VanDine

        * don't use the untrusted helper yet (0e98cbc)

2014-01-31 Javier Collado

        * Fixed typo (85fa38f)
        * Added README file (6ff94e7)

2014-01-29 Ken VanDine

        * fix the path to the helper (3bc9d14)
        * Added includes for upstart-app-launch (ff57c31)
        * Changed defaults to a triplet used to build the appid.  Bumped
          build depends for libupstart-app-launch2-dev to >=
          0.3+14.04.20140129 needed for converting the triplet to an
          appid. (ab6098a)

2014-01-28 Ken VanDine

        * switch back to dest when ready (15d14a1)
        * keep using the appid for destination (55e4a11)
        * Support multiple instances of handlers (bb163a9)

2013-12-12 Ken VanDine

        * Added Type::Known::contacts. Note: there is no associated default
          store for contacts under any scope. Data for contacts
          doesn't persist. (1571cff)

2013-12-10 Ken VanDine

        * Added Type::Known::contacts.  Note: there is no associated default
          store for contacts under any scope.  Data for contacts
          doesn't persist. (b90dbdf)

2013-12-09 Automatic PS uploader

        * Releasing 0.0+14.04.20131209.1-0ubuntu1 (revision 69 from
          lp:content-hub). (d46e8bb)
        * Releasing 0.0+14.04.20131209.1-0ubuntu1, based on r69 (a76baa5)

2013-12-09 Ted Gould

        * Upgrading to libupstart-app-launch v2. (b3c4d78)

2013-12-06 Ted Gould

        * Adding the upstart include directory (a71858e)
        * Change to remove the versioned directory (aef6edc)
        * Upgrading to libupstart-app-launch v2 (87114c7)

2013-11-18 Ken VanDine

        * allow ContentPeer to be creatable in QML, this makes it more
          obvious how to deal with the list returned by
          knownSourcesForType. (8455032)

2013-11-15 Ken VanDine

        * Documentation cleanup, fixes button alignment and uses MainView in
          the QML code example. (642e57e)

2013-11-15 Alexandre Abreu

        * fix small documentation nit (21229e9)

2013-11-15 Ken VanDine

        * Documentation cleanup, fixes button alignment and uses MainView in
          the QML code example. (8d74d71)

2013-11-12 Alexandre Abreu

        * fix small documentation nit (5b307fd)
        * fix small documentation nit (55c2e1f)

2013-11-08 Ken VanDine

        * added an example to the docs for ContentHub.knownSourcesForType
          (74ee58c)
        * allow ContentPeer to be creatable in QML, this makes it more
          obvious how to deal with the list returned by
          knownSourcesForType. (342ba4c)

2013-11-07 Ken VanDine

        * Filled in the missing docstrings for the QML bindings . (ea1e93f)
        * Filled in the missing docstrings for the QML bindings (5b00025)

2013-10-25 Automatic PS uploader

        * Releasing 0.0+14.04.20131025-0ubuntu1 (revision 63 from
          lp:content-hub). (ce67984)
        * Releasing 0.0+14.04.20131025-0ubuntu1, based on r63 (ff656e6)

2013-10-23 Ken VanDine

        * Added qdoc docs for QML bindings. (1f2f178)
        * return a QVariantList from knownSourcesForType so the QML bindings
          can expose a list of peers, fixes (LP: #1236932).
          Fixes:
          https://bugs.launchpad.net/bugs/1236932. (dd01baf)
        * Fixed annotations for overloaded importContent method (27605a4)
        * merged id rename (3dd16ac)
        * revert changelog entry (cf20398)
        * Renamed id to appId to avoid colliding with QML's id property
          (163cf05)

2013-10-22 Ken VanDine

        * Merged QML bindings fixes (63dbf02)
        * Updated doc strings (95df6c8)
        * marked finishedImports and restoreImports as \internal to exclude
          from qdoc. (9f1ba32)
        * Added introduction, architecture overview, examples and definitions
          to the QML docs (c399512)
        * removed the "type" property from ContentPeer, it isn't used and
          com::ubuntu::content::Peer doesn't provide a type either.
          (905df1d)
        * emit idChanged on setPeer (e6f70d9)
        * removed FIXME (1f00cfd)
        * cleanup example (d816bbd)
        * Updated import example to include peer list (0a62476)
        * return a QVariantList from knownSourcesForType so the QML bindings
          can expose a list of peers, fixes (LP: #1236932) (502cefa)
        * Added id() and return name for name() instead of id (5071887)

2013-10-21 Ken VanDine

        * syntax fix for mainpage (06112b0)
        * added toplevel doc (100a745)
        * fixed build (d8a3715)
        * Tweaks for qdoc docs (c0d983e)
        * Added qdoc docs for QML bindings (89f344e)

2013-10-11 Automatic PS uploader

        * Releasing 0.0+13.10.20131011-0ubuntu1 (revision 60 from
          lp:content-hub). (aa66e51)
        * Releasing 0.0+13.10.20131011-0ubuntu1, based on r60 (36a4dc7)

2013-10-10 Guenter Schwann

        * Quit the source app on charged/abort when it was started by the
          content hub. (69750c6)
        * Quit the source app on charged/abort when it was started by the
          content hub (81d0684)

2013-10-09 Ken VanDine

        * Added a click hook, which iterates installed known peers, removing
          them when they are no longer installed and adding peers
          when needed. (848de2b)
        * invoke the destination when the transfer is charged . (18b5734)
        * Make libcontent-hub0 recommend content-hub . (d319d8b)
        * Make libcontent-hub0 recommend content-hub (2f85139)
        * invoke the destination when the transfer is charged (bf40917)

2013-10-08 Guenter Schwann

        * New component for the importer to indicate an ongoing transfer.
          (7a7d209)

2013-10-07 Automatic PS uploader

        * Releasing 0.0+13.10.20131007-0ubuntu1 (revision 54 from
          lp:content-hub). (0eaded8)
        * Releasing 0.0+13.10.20131007-0ubuntu1, based on r54 (a7e66cc)

2013-10-04 Ken VanDine

        * Don't invoke the source application until the destination has
          called start(). This will prevent source app from getting
          raised before the destination app expects it, preventing
          an unexpected interuption in the work flow. (a7c069b)

2013-10-01 Guenter Schwann

        * Merged trunk (5c74eb3)

2013-10-01 Ken VanDine

        * Don't invoke the source application until the destination has
          called start(). This will prevent source app from getting
          raised before the destination app expects it, preventing
          an unexpected interuption in the work flow. (90a4a68)
        * added Breaks for gallery-app <= 0.0.67+13.10.20130924.1-0ubuntu1 .
          (ee59dac)

2013-10-01 Automatic PS uploader

        * Releasing 0.0+13.10.20131001-0ubuntu1 (revision 51 from
          lp:content-hub). (e7c31b8)
        * Releasing 0.0+13.10.20131001-0ubuntu1, based on r51 (35af122)
        * Releasing 0.0+13.10.20130930-0ubuntu1 (revision 49 from
          lp:content-hub). (d9ecd48)

2013-10-01 Ken VanDine

        * Added basic pkgconfig file . (d638333)

2013-09-30 Ken VanDine

        * added Breaks for gallery-app <= 0.0.67+13.10.20130924.1-0ubuntu1
          (7f58167)
        * Added basic pkgconfig file (f2340fe)

2013-09-30 Automatic PS uploader

        * Releasing 0.0+13.10.20130930-0ubuntu1, based on r49 (a1f26a0)

2013-09-30 Ken VanDine

        * Pulled back in all the changes that were reverted in rev 47.  Bug
          (LP: #1231368) seemed to be caused by gallery-app needing
          a rebuild against this version of content-hub. (794b1ac)
        * Pulled back in all the changes that were reverted in rev 47.
          (6b15259)

2013-09-27 Guenter Schwann

        * Ne component for the importer to indicate an ongoing transfer
          (d8a8d4a)

2013-09-27 Automatic PS uploader

        * Releasing 0.0+13.10.20130927-0ubuntu1 (revision 47 from
          lp:content-hub). (6232dbe)
        * Releasing 0.0+13.10.20130927-0ubuntu1, based on r47 (255a56b)

2013-09-26 Robert Bruce Park

        * Revert previous revert because it didn't solve the regression.
          (3ddf076)

2013-09-26 Sebastien Bacher

        * Revert previous upload since it's buggy (lp: #1231368) (756fe09)

2013-09-25 Automatic PS uploader

        * Releasing 0.0+13.10.20130925-0ubuntu1 (revision 45 from
          lp:content-hub). (8b9ae7d)
        * Releasing 0.0+13.10.20130925-0ubuntu1, based on r45 (f58c688)

2013-09-24 Ken VanDine

        * Mock PeerRegistry instead of Registry, fixes test_hook when the
          gsettings schema isn't installed. (7bd6236)
        * Added a name property to Peer using GAppInfo to get a friendly
          name. (c8f745d)
        * Added a comment with example JSON (f703df8)
        * rename function in the hook (17b660c)
        * Removed unused function (288e0ae)
        * Added tests for the click hook (556a50b)
        * fixed typo in Type enum. (2fabc49)
        * merged trunk (cf3830b)
        * unref for GDesktopAppInfo (b039d8c)
        * merged trunk (2e0c107)
        * Added GIO (23c2659)
        * Adds a store property to the Transfer, which defaults to an
          cuc::Scope::app scope and appended with
          "HubIncoming/${id}".  The hub will copy the files to that
          store when the transfer gets charged and  set the proper
          paths based on the Store::url when setting
          Transfer::items. (9177f70)
        * use GAppInfo to get the display name for a peer (b746bc5)

2013-09-23 Ken VanDine

        * added --with click (f046cf5)
        * fixed pattern (c9e9e9a)
        * hook: ensure we return 0 (827ebcf)
        * removed some noise, no need to call updateStore and
          updateSelectionType after they are set, the signal will do
          that. (7f53d09)

2013-09-20 Ken VanDine

        * Install the click hook (12e0a3f)
        * click hook, iterate installed known hooks and remove them when they
          are no longer installed (c139cc1)
        * Added enumerate_known_peers and remove_peer functions (1b7f28f)
        * Added tests for utils (b6f7b47)
        * merged trunk (10da7cc)
        * Added commented out example of setting a persistent store on the
          transfer (0dfc742)
        * Check to see if the Store should be persistent, and only purge if
          it isn't (e1ac6ec)

2013-09-20 Automatic PS uploader

        * Releasing 0.0+13.10.20130920-0ubuntu1 (revision 41 from
          lp:content-hub). (70173b2)
        * Releasing 0.0+13.10.20130920-0ubuntu1, based on r41 (f3ee313)

2013-09-19 Ken VanDine

        * expose the ContentStore to QML (78e9711)
        * fixed typo in Type enum (9683488)
        * updated example to use finalize and use a MainView (b808f59)
        * Updated qml bindings for the new finalized state in Transfer
          (5aae196)
        * Added a new transfer state, finalized.  When the destination is
          done with the transfer, it should call finalize() on the
          transfer to cleanup the cached files. (37fd36a)

2013-09-18 Ken VanDine

        * removed extra whitespace (094e310)
        * merged trunk (289ac49)
        * create test files at build time to use in the transfer test
          (1116f59)
        * Updated transfer test to ensure items get properly set including
          including the incoming store when charged. (3494944)
        * Use QGSettings for persistent peer registration and set defaults.
          Also adds a helper install peers, which will be used as a
          click hook, but doesn't get installed yet. (4ca5714)
        * Ensure the destructor gets called for each transfer when the server
          exits (84bdbd6)
        * added function to purge contents of the incoming store, which is
          called fromt he cuc::Transfer destructor. (c46d421)
        * Added a test for install_peer_for_type (ee34e95)
        * use QScopedPointer for the gsettings member variables (05bab40)
        * column align arguments (10119d7)
        * merged trunk (a70ffd2)

2013-09-17 Ken VanDine

        * Updated handler names and paths to use nih_dbus_path to sanitize
          the names. nih_dbus_path is designed to really just return
          a dbus path, however this is the same function apparmor
          uses to mangle app_id names for policy, so it should
          ensure we can match consistently. This is needed for
          confined apps. (a4c1799)
        * merge trunk (6bab9ca)
        * use the Transfer::id to make a unique incoming store for the
          transfer (095c85d)
        * expose cuc::Transfer::id, it's useful for creating the incoming
          Store (07810db)
        * use QStandardPaths::CacheLocation (60ec611)
        * return as a QUrl::toLocalFile (6785bb6)
        * explicitly build dep on libglib2.0-dev . (a8a656a)

2013-09-17 Automatic PS uploader

        * Releasing 0.0+13.10.20130917-0ubuntu1 (revision 36 from
          lp:content-hub). (d5433c8)

2013-09-17 Ken VanDine

        * explicitly build dep on libglib2.0-dev (aaa2862)
        * fix for the MockHandler so it doesn't trigger dbus activation .
          (b98c32c)

2013-09-17 Automatic PS uploader

        * Releasing 0.0+13.10.20130917-0ubuntu1, based on r36 (3069d21)

2013-09-16 Ken VanDine

        * implementation with a Store.  Adds a store property to the
          Transfer, which defaults to an cuc::Scope::app scope and
          appended with "Incoming".  The hub will copy the files to
          that store when the transfer gets charged and set the
          proper paths based on the Store::url when setting
          Transfer::items. (98ddf23)

2013-09-13 Ken VanDine

        * Updated handler names and paths to use nih_dbus_path to sanitize
          the names. nih_dbus_path is designed to really just return
          a dbus path, however this is the same function apparmor
          uses to mangle app_id names for policy, so it should
          ensure we can match consistently.  This is needed for
          confined apps. (827a4fb)
        * set the APP_ID for the QML tests (821b2b6)
        * fix for the MockHandler so it doesn't trigger dbus activation
          (f8205b8)

2013-09-12 Ken VanDine

        * removed unused directory (e8908e2)
        * removed hard coded peer population (3b0454c)

2013-09-11 Ken VanDine

        * Don't install the click hook or helper yet. (17da992)
        * renamed hook (2f66a57)
        * merged trunk (574bf8c)
        * added Hook class for the helper (42eebcc)

2013-09-10 Ken VanDine

        * parse json data for installing peers from click hooks (aff8526)
        * Added Transfer::SelectionType enum, used to allow the export
          handler to limit selection to a single item or allow
          multiple items. . (88112c8)
        * cleaned up diff (17c7721)
        * cleaned up last reminents of including selection_type in the
          constructor and as args. (a3ac87d)

2013-09-09 Ken VanDine

        * Merged trunk (ecd7e55)
        * Added click hook, still needs to be tweaked to get type as well as
          id (5bfd593)
        * Added tests for transfer selectionType property (ca9098f)
        * don't allow changing selectionType unless the state is
          cuc::Transfer::created (6a08a57)
        * Make selectionType a property that can be set outside of this
          constructor. This adds an additional state for "created"
          which is the state set when the Transfer is created.  When
          the state is "created", the selectionType can be set,
          however it defaults to single.  This allows the source to
          set the selectionType after creating the transfer as a
          property.  Once all properties are set, this moves the
          responsibility of calling start() on the transfer back to
          the source.  Start should get called after all desired
          properties are set on the transfer. (7f2a6fe)

2013-09-06 Ken VanDine

        * Added a helper for install peers, will be used as a click hook
          (cc99274)
        * use QGSettings for persistent peer registration (3cd734c)
        * Added Transfer::SelectionType enum, used to allow the export
          handler to limit selection to a single item or allow
          multiple items. (3634f4e)

2013-09-06 Guenter Schwann

        * Add an app manager to start the exporter automaticly. (5f77dc1)

2013-09-06 Ken VanDine

        * merged content-start-exporter branch (6ae5774)
        * merged (c1ea8dc)
        * merged (53b7c5c)

2013-09-06 Guenter Schwann

        * Branch merged (7415269)

2013-09-06 Ken VanDine

        * cleaned up whitespace (9521f58)
        * Make handler registration more dynamic by using a
          QDBusServiceWatcher to to wait for a handler to register.
          (56d3b61)
        * merged cleanup from the handler_reg_wip branch (8abf342)
        * merged changes from content-start-export branch (da7c2b0)
        * cleanup (bda289d)

2013-09-06 Guenter Schwann

        * Add functions to stop an application, and check if an application
          is running already (b940730)
        * Use QSharedPointer for the ApplicationManager in the service
          (4baea0b)

2013-09-05 Ken VanDine

        * Merged Transfer::SelectionType branch (71f22bf)
        * Merged selectionType branch (cd5d9c1)
        * Added Transfer::SelectionType enum, used to allow the export
          handler to limit selection to a single item or allow
          multiple items. (b21ab34)

2013-09-05 Guenter Schwann

        * Merge handler branch (f86e5c3)
        * Remove unused stuff (bf4bcc6)

2013-09-05 Ken VanDine

        * removed includes that aren't used (c45f3d6)

2013-09-05 Automatic PS uploader

        * Releasing 0.0+13.10.20130905-0ubuntu1 (revision 32 from
          lp:content-hub). (8619778)
        * Releasing 0.0+13.10.20130905-0ubuntu1, based on r32 (fc652f6)

2013-09-04 Guenter Schwann

        * Disable the start() function from QML and remove it from
          documenattion and example (65cfa7a)
        * Fix tests (3617a73)
        * Branch merged (4011aef)
        * Start source from correct spot (5155fe3)

2013-09-04 Ken VanDine

        * don't clean up the aborted and collected transfers (479c386)

2013-09-04 Guenter Schwann

        * branch merged (c36fef9)
        * Don't start transfer if not in initialized state (9bd71cc)

2013-09-04 Ken VanDine

        * Have the handler interface call start before calling handle_export,
          this prevents the need for the implementation of
          handle_export from needing to. (3bdec3c)
        * Extended com::ubuntu::content::detail::Transfer to include
          properties for id, source, and destination. Also added
          export_path and import_path convenience functions which
          returns the object paths. (ced7478)

2013-09-04 Guenter Schwann

        * Fix compile of the tests (7fc3233)

2013-09-04 Ken VanDine

        * merged fixes from the transfer_props branch (9fd87b3)
        * keep source and destination as references in the constructor
          (273c109)

2013-09-04 Guenter Schwann

        * Make use of the interface (661ec9b)

2013-09-04 Ken VanDine

        * source and destination strings should be references (78a12bf)

2013-09-04 Guenter Schwann

        * Start the importer/exporter on transfer state changes (a43857b)
        * Merge handler_reg_wip branch (eb91b37)

2013-09-03 Ken VanDine

        * Make handler registration more dynamic by using a
          QDBusServiceWatcher to to wait for a handler to register.
          (4a907cc)
        * merged transfer_props branch (6d34f5d)
        * Extended com::ubuntu::content::detail::Transfer to include
          properties for id, source, and destination.  Also added
          export_path and import_path convenience functions which
          returns the object paths. (6c876c0)

2013-09-03 Guenter Schwann

        * More cleanups (457c456)
        * More cleanups (21da0d1)
        * Cleanups (29fe508)

2013-09-02 Guenter Schwann

        * Add link flags for upstart-app-launch (1493207)
        * Start for an app manager (42a5827)

2013-08-31 Automatic PS uploader

        * Releasing 0.0+13.10.20130831-0ubuntu1 (revision 30 from
          lp:content-hub). (ecbc952)
        * Releasing 0.0+13.10.20130831-0ubuntu1, based on r30 (be026f0)

2013-08-30 Ken VanDine

        * improved handling of handler registration, WIP (a1efaf9)
        * Don't start a new instance of the service if it fails to register
          on the bus . (2ba3279)
        * Don't start a new instance of the service if it fails to register
          on the bus (d007727)

2013-08-30 Automatic PS uploader

        * Releasing 0.0+13.10.20130830-0ubuntu1 (revision 28 from
          lp:content-hub). (c2f2824)
        * Releasing 0.0+13.10.20130830-0ubuntu1, based on r28 (5e1d402)

2013-08-30 Ken VanDine

        * Moved some common service names and paths to common.h instead of
          setting them in multiple places. . (96b41ba)

2013-08-29 Automatic PS uploader

        * Releasing 0.0+13.10.20130829.1-0ubuntu1 (revision 26 from
          lp:content-hub). (3b9c6eb)
        * Releasing 0.0+13.10.20130829.1-0ubuntu1, based on r26 (579e793)

2013-08-29 Ken VanDine

        * Use const QLatin1String instead of defines (2703317)
        * white space cleanup (6047a1b)
        * Adds a Handler interface and adapter which provides get registered
          on the bus from the Hub client.  The service side will
          look for registered handlers when a new transfer is
          created.  The service then connects to transfer and calls
          HandleExport on the handler when the transfer state
          changes to in_progress.  There is still no hooks in the
          service to call HandleImport for registered import
          handlers, but clients can connect to stateChanged and fire
          their own import when the state changes to charged.
          (1fb6e54)
        * Merged (902f339)
        * Moved some common service names and paths to common.h instead of
          setting them in multiple places. (5e765b0)
        * Fixes based on review from tvoss (f9bf23e)

2013-08-29 Automatic PS uploader

        * Releasing 0.0+13.10.20130829-0ubuntu1 (revision 24 from
          lp:content-hub). (936ed82)
        * Releasing 0.0+13.10.20130829-0ubuntu1, based on r24 (5cd8413)

2013-08-28 Ken VanDine

        * merged trunk (0d2c93f)

2013-08-28 Guenter Schwann

        * More robust handling of charge and collect of the transfer in QML.
          (c94dbc6)
        * Add missing header change (a2baf91)
        * Fix typos (26a7a0d)

2013-08-28 Ken VanDine

        * Don't change the value of items if the state is already charged
          (27f7ab7)
        * slightly improved error handling and cleaned and cleaned up a
          little debug output (bab72e2)
        * cleaned up more includes (33afeb6)
        * cleaned up includes and headers (f225e0a)
        * revert stateChanged change in the qml bindings (d83dcd7)
        * Added Handler tests (04583d9)
        * removed unused includes (0ade9e1)

2013-08-28 Guenter Schwann

        * use null instead of undefined in QML (4d86129)

2013-08-28 Ken VanDine

        * cleaned up an unneeded handler instance (9d606ed)

2013-08-28 Guenter Schwann

        * Compile fix (1e93c8a)
        * udpate example and documentation;  remove code duplication from
          importContent() (6a8953c)
        * The direction property is constant (c250897)
        * Add direction property to ContentTransfer to make sure ony the
          exporter can charge, and the importer collect (b9a1a64)
        * Add missing header change (95fa0da)
        * Cache transfer state (d871779)
        * reuse the ContentTransfer object during import;  ensure the items
          property is filled if needed (3063c3f)

2013-08-27 Ken VanDine

        * use a listview to show the images (9d7e286)
        * Listen for stateChanged and call handle_import when the transfer is
          charged (d4b5d0c)
        * Make sure we get a valid iterator when looking for a handler
          (5173e17)
        * merged trunk (60bfdb2)
        * change default peer for pictures to gallery-app (97a8103)
        * Hook up the exporter to the stateChanged signal to initiate an
          export (93dd629)

2013-08-27 Automatic PS uploader

        * Releasing 0.0+13.10.20130827.3-0ubuntu1 (revision 22 from
          lp:content-hub). (23efb10)
        * Releasing 0.0+13.10.20130827.3-0ubuntu1, based on r22 (a7bd39e)

2013-08-27 Guenter Schwann

        * Add QML examples for import and export. (4ab313a)
        * Use qmlRegisterSingletonType to register the ContentHub. (ffa4754)

2013-08-27 Automatic PS uploader

        * Releasing 0.0+13.10.20130827.2-0ubuntu1 (revision 19 from
          lp:content-hub). (abae405)
        * Releasing 0.0+13.10.20130827.2-0ubuntu1, based on r19 (6571980)
        * Releasing 0.0+13.10.20130827.1-0ubuntu1 (revision 18 from
          lp:content-hub). (85e9fef)

2013-08-27 Guenter Schwann

        * Add to start the transfer (4286474)
        * Use qmlRegisterSingletonType to register the ContentHub (47826be)

2013-08-27 Automatic PS uploader

        * Releasing 0.0+13.10.20130827.1-0ubuntu1, based on r18 (5ea52b9)
        * Releasing 0.0+13.10.20130827-0ubuntu1 (revision 17 from
          lp:content-hub). (067cb77)
        * Releasing 0.0+13.10.20130827-0ubuntu1, based on r17 (8604ca7)

2013-08-26 Michael Terry

        * Some minor packaging cleanup. (4c76bd6)
        * Let source format 1.0 be implicit (04817b5)
        * Some packaging cleanup (e520745)

2013-08-26 Ken VanDine

        * cleaned up examples (19a404b)
        * fixed changing state to charged (cb8be16)
        * Handle emitting stateChanged (c117e28)

2013-08-26 Guenter Schwann

        * Pick mode is off by default in export example (63f09b2)
        * Add examples for import and export (42a90c1)

2013-08-26 Ken VanDine

        * crude attempt to get access to Transfer (8b75587)

2013-08-25 Ken VanDine

        * Added Handler interface on dbus.  register_import_export_handler
          now creates the HandlerAdapter in the hub client and
          registers it on the bus under
          com.ubuntu.content.handler.<peer_id> and adds the peer_id
          and object path to a map of registered handlers. (bcdf671)
        * use functions in utils.cpp (abadb50)
        * Added utils.cpp for a few functions we need to run in the service
          that aren't class specific and shouldn't get exposed in
          the API (af34d33)

2013-08-23 Ken VanDine

        * cleanup (0811973)
        * wip (ae70f21)

2013-08-23 Guenter Schwann

        * Handle import and export requests from hub for QML. (78fc632)
        * Typo fix and compile fix (7c573e4)
        * Trunk merged (1658005)
        * ContentItem and ContentPeer use their service counterpart as
          member. (f3de36c)
        * Get the actual items from HUB to pass them to QML (1360bd0)
        * Actually return the selected items to the hub (9adba5d)

2013-08-23 Łukasz 'sil2100' Zemczak

        * Packaging review. (5e8ce56)

2013-08-23 Ken VanDine

        * wip (b6f1685)

2013-08-23 Guenter Schwann

        * Handle import and export requests from hub (34789ab)

2013-08-23 Łukasz 'sil2100' Zemczak

        * .install file too... (2a2fc0a)
        * Rename the plugin again (3657374)
        * Changed the plugin name (a484dce)
        * Update descriptions (8aef9fe)

2013-08-23 Guenter Schwann

        * Merge trunk (3452b83)
        * Add function to convert from Content::Type to Type directly
          (1c994f4)
        * More QML tests, work on QML documentation. (cb8bbaf)
        * ContentItem and ContentPeer use their service counterpart as member
          (f588ab5)

2013-08-22 Ken VanDine

        * wip (439d04d)
        * wip (e0671cf)

2013-08-22 Łukasz 'sil2100' Zemczak

        * Basic packaging review (2554a26)

2013-08-22 Ken VanDine

        * replace "." with "_" in the peer_id to create valid object paths .
          (705046a)

2013-08-22 Guenter Schwann

        * More QML tests, work on QML documentation (2a8c467)

2013-08-22 Ken VanDine

        * Moved the dbus object path sanitizing out to a separate function
          and replace all invalid characters (9bd83cc)

2013-08-22 Guenter Schwann

        * Add and register an import export handler. (8f2b6e4)

2013-08-22 Ken VanDine

        * merged object path fix (86b1d5e)
        * merged trunk (20d7848)
        * replace "." with "_" in the peer_id to create valid object paths
          (80d8bdc)

2013-08-22 Guenter Schwann

        * The import/export forward the transfer objects (776053f)

2013-08-22 Ken VanDine

        * Added dbus service. This includes a PeerRegistry that currently get
          hard coded with peers on startup, in the future this
          registry will be replaced with something more persistent.
          (fd1ff6a)

2013-08-22 Guenter Schwann

        * Put the QML bindings into their own package. (832fd6b)

2013-08-22 Ken VanDine

        * put list and populate in an anonymous namespace (a94fc66)
        * improved iterating the map of peers (25c63bc)

2013-08-22 Guenter Schwann

        * Fix header guard (5358920)
        * Add and register an import export handler (69cba1b)

2013-08-22 Ken VanDine

        * WIP handler dbus interface (fb749cb)

2013-08-22 Guenter Schwann

        * Put the QML bindings into their own package (c82ea90)
        * Start for QML bindings. (98b8008)
        * Fix QML test on CI (ddcdac4)
        * Add more Qt dependencies (a112d16)
        * Use C++ style cast instead of C style cast (467a6d7)
        * use hub query for peers;  wire up to hub to import content
          (b5a89ac)

2013-08-21 Ken VanDine

        * cleanup importer example (38fab09)
        * removed unused files (a2df338)
        * merged dbus service cleanup (a30fe18)
        * Cleanup (58093f8)

2013-08-21 Guenter Schwann

        * Add qt5declarative dependency (580e0cc)
        * Add first test for QML (f1d3f0f)
        * Move plugin to Ubuntu/Content sub directory (for future testing)
          (08b0127)
        * Add QML binding (interface only for now) (6ed963c)

2013-08-20 Ken VanDine

        * cleanup importer example (fa50ede)

2013-08-19 Ken VanDine

        * Added examples (ee7c7ad)
        * add dummy peers (b197d08)
        * Added PeerRegistry subclass (85289c8)

2013-08-16 Ken VanDine

        * Packaging cleanup (ec0c48e)
        * Added content-hub package (d0b0166)
        * Added dbus service file (7488afa)
        * Added basic dbus server for content-hub-service (17cecc1)

2013-08-15 Guenter Schwann

        * Add constructor implementation for ImportExportHandler. (b6530f0)
        * Add google-mock dependecy for the tests (a09a960)
        * Adding doxygen and lcov as dependency (5cf0583)
        * Add Qt dependency (9e5d6d5)
        * Add constructor implementation for ImportExportHandler (b109fd3)

2013-08-14 Thomas Voß

        * Merge packaging. (ed3a6af)
        * Merge trunk. (33e63c4)

2013-08-13 Ken VanDine

        * initial packaging (6d89593)
        * Install the headers (5443801)

2013-07-16 Thomas Voß

        * Added an example snippet for importing pictures. (5f73ca0)
        * Add a Mainpage for the doxygen documentation. (767cda8)
        * Wired up transfer test case. (830cde6)

2013-07-15 Thomas Voß

        * Add state query method to dbus interface. (d0f7c80)
        * Add transfer implementation service side. (34090ec)
        * Clean up src directory and move dbus to detail. (fa69a13)
        * Initial checkin. (e819494)
